﻿//
//  NEW WORLD
//            created using MapGen, a program by Matei
//

float sizeX = 0;
float sizeZ = 0;
float scaleX = 0;
float scaleZ = 0;
float areaSize = 0;

int curGuid = 0;
int guid(void) {
curGuid = curGuid+1;
return(curGuid);
}

int classPlayer = 0;

int class_Beach = 0;
int avoid_Beach = 0;
int class_Mountains = 0;
int avoid_Mountains = 0;
int class_plain = 0;
int avoid_plain = 0;
int class_sea = 0;
int avoid_sea = 0;
int class_settlement = 0;
int avoid_settlement = 0;

int class_Beach_sand = 0;
int class_Mountains_snow = 0;
int class_Mountains_cliff = 0;
int class_plain_grass = 0;
int class_plain_tree = 0;

void place_Beach(float x=0, float z=0, bool center=false) {
int id = rmCreateArea("area_Beach_"+guid());
rmSetAreaLocation(id, x, z);
rmSetAreaCoherence(id, 1);
rmSetAreaSize(id, areaSize, areaSize+0.00005);
rmSetAreaHeightBlend(id, 1);
rmSetAreaBaseHeight(id, 0.5);
rmSetAreaTerrainType(id, "ShorelineAtlanticB");
rmAddAreaToClass(id, class_Beach);
}

void place_Mountains(float x=0, float z=0, bool center=false) {
int id = rmCreateArea("area_Mountains_"+guid());
rmSetAreaLocation(id, x, z);
rmSetAreaCoherence(id, 1);
rmSetAreaSize(id, areaSize, areaSize+0.00005);
rmSetAreaHeightBlend(id, 1);
rmSetAreaBaseHeight(id, 0.6);
rmSetAreaTerrainType(id, "SnowA");
rmAddAreaToClass(id, class_Mountains);
}

void place_plain(float x=0, float z=0, bool center=false) {
int id = rmCreateArea("area_plain_"+guid());
rmSetAreaLocation(id, x, z);
rmSetAreaCoherence(id, 1);
rmSetAreaSize(id, areaSize, areaSize+0.00005);
rmSetAreaHeightBlend(id, 1);
rmSetAreaBaseHeight(id, 0.5);
rmSetAreaTerrainType(id, "SnowGrass25");
rmAddAreaToClass(id, class_plain);
}

void place_sea(float x=0, float z=0, bool center=false) {
int id = rmCreateArea("area_sea_"+guid());
rmSetAreaLocation(id, x, z);
rmSetAreaCoherence(id, 1);
rmSetAreaSize(id, areaSize, areaSize+0.00005);
rmSetAreaHeightBlend(id, 1);
rmSetAreaBaseHeight(id, 0.5);
rmSetAreaWaterType(id, "North Atlantic Ocean");
rmAddAreaToClass(id, class_sea);
}

void place_settlement(float x=0, float z=0, bool center=false) {
int id = rmCreateArea("area_settlement_"+guid());
rmSetAreaLocation(id, x, z);
rmSetAreaCoherence(id, 1);
rmSetAreaSize(id, areaSize, areaSize+0.00005);
rmSetAreaHeightBlend(id, 1);
rmSetAreaBaseHeight(id, 0.5);
rmSetAreaTerrainType(id, "SnowGrass50");
rmAddAreaToClass(id, class_settlement);
}


void main(void) {
rmSetStatusText("",0.01);

int i=0; int j=0; int k=0; int l=0; int m=0; int n=0; int id=0; int cns=0;
float f=0; float g=0;
string s=""; string t="";
int playerTiles = 9000;
if(cMapSize==1) playerTiles = 12000;
float sizeMultiplier = rmRandFloat(0.95, 1.05);
sizeX = sizeMultiplier*2.0*sqrt(cNumberPlayers*playerTiles);
sizeZ = sizeMultiplier*2.0*sqrt(cNumberPlayers*playerTiles);
rmSetMapSize(sizeX, sizeZ);
scaleX = 1.0/50;
scaleZ = 1.0/50;
areaSize = scaleX*scaleZ*2.1;

rmSetSeaLevel(0.0);
rmSetSeaType("Mediterranean Sea");
rmTerrainInitialize("water");
rmSetLightingSet("default");

class_Beach = rmDefineClass("class_Beach");
avoid_Beach = rmCreateClassDistanceConstraint("avoid_Beach", class_Beach, 0.1);
class_Mountains = rmDefineClass("class_Mountains");
avoid_Mountains = rmCreateClassDistanceConstraint("avoid_Mountains", class_Mountains, 0.1);
class_plain = rmDefineClass("class_plain");
avoid_plain = rmCreateClassDistanceConstraint("avoid_plain", class_plain, 0.1);
class_sea = rmDefineClass("class_sea");
avoid_sea = rmCreateClassDistanceConstraint("avoid_sea", class_sea, 0.1);
class_settlement = rmDefineClass("class_settlement");
avoid_settlement = rmCreateClassDistanceConstraint("avoid_settlement", class_settlement, 0.1);

classPlayer = rmDefineClass("player");

int cnsNonClassed = rmCreateTerrainDistanceConstraint("cnsNonClassed", "water", true, 4);
int cnsPlayers = rmCreateClassDistanceConstraint("cnsPlayer", classPlayer, 18);

class_Beach_sand = rmDefineClass("Beach_sand");
class_Mountains_snow = rmDefineClass("Mountains_snow");
class_Mountains_cliff = rmDefineClass("Mountains_cliff");
class_plain_grass = rmDefineClass("plain_grass");
class_plain_tree = rmDefineClass("plain_tree");

rmSetStatusText("",0.05);

place_Mountains(0.99, 0.99, true);
place_Mountains(0.97, 0.99, true);
place_Mountains(0.95, 0.99, true);
place_Mountains(0.93, 0.99, true);
place_Mountains(0.91, 0.99, true);
place_Mountains(0.89, 0.99, true);
place_Mountains(0.87, 0.99, true);
place_Mountains(0.85, 0.99, true);
place_Mountains(0.83, 0.99, true);
place_Mountains(0.81, 0.99, true);
place_Mountains(0.79, 0.99, true);
place_Mountains(0.77, 0.99, true);
place_Mountains(0.75, 0.99, true);
place_Mountains(0.73, 0.99, true);
place_Mountains(0.71, 0.99, true);
place_Mountains(0.69, 0.99, false);
place_plain(0.67, 0.99, false);
place_plain(0.65, 0.99, true);
place_plain(0.63, 0.99, true);
place_plain(0.61, 0.99, true);
place_plain(0.59, 0.99, true);
place_plain(0.57, 0.99, true);
place_plain(0.55, 0.99, true);
place_plain(0.53, 0.99, true);
place_plain(0.51, 0.99, true);
place_plain(0.49, 0.99, true);
place_plain(0.47, 0.99, true);
place_plain(0.45, 0.99, true);
place_plain(0.43, 0.99, true);
place_plain(0.41, 0.99, true);
place_plain(0.39, 0.99, true);
place_plain(0.37, 0.99, true);
place_plain(0.35, 0.99, true);
place_plain(0.33, 0.99, true);
place_plain(0.31, 0.99, true);
place_plain(0.29, 0.99, true);
place_plain(0.27, 0.99, true);
place_plain(0.25, 0.99, true);
place_plain(0.23, 0.99, true);
place_plain(0.21, 0.99, true);
place_plain(0.19, 0.99, true);
place_plain(0.17, 0.99, false);
place_Beach(0.15, 0.99, false);
place_Beach(0.13, 0.99, true);
place_Beach(0.11, 0.99, false);
place_sea(0.09, 0.99, false);
place_sea(0.07, 0.99, true);
place_sea(0.05, 0.99, true);
place_sea(0.03, 0.99, true);
place_sea(0.01, 0.99, true);
rmBuildAllAreas();
rmSetStatusText("",0.05);

place_Mountains(0.99, 0.97, true);
place_Mountains(0.97, 0.97, true);
place_Mountains(0.95, 0.97, true);
place_Mountains(0.93, 0.97, true);
place_Mountains(0.91, 0.97, true);
place_Mountains(0.89, 0.97, true);
place_Mountains(0.87, 0.97, true);
place_Mountains(0.85, 0.97, true);
place_Mountains(0.83, 0.97, true);
place_Mountains(0.81, 0.97, true);
place_Mountains(0.79, 0.97, true);
place_Mountains(0.77, 0.97, true);
place_Mountains(0.75, 0.97, true);
place_Mountains(0.73, 0.97, true);
place_Mountains(0.71, 0.97, true);
place_Mountains(0.69, 0.97, false);
place_plain(0.67, 0.97, false);
place_plain(0.65, 0.97, true);
place_plain(0.63, 0.97, true);
place_plain(0.61, 0.97, true);
place_plain(0.59, 0.97, true);
place_plain(0.57, 0.97, true);
place_plain(0.55, 0.97, true);
place_plain(0.53, 0.97, true);
place_plain(0.51, 0.97, true);
place_plain(0.49, 0.97, true);
place_plain(0.47, 0.97, true);
place_plain(0.45, 0.97, true);
place_plain(0.43, 0.97, true);
place_plain(0.41, 0.97, true);
place_plain(0.39, 0.97, true);
place_plain(0.37, 0.97, true);
place_plain(0.35, 0.97, true);
place_plain(0.33, 0.97, true);
place_plain(0.31, 0.97, true);
place_plain(0.29, 0.97, true);
place_plain(0.27, 0.97, true);
place_plain(0.25, 0.97, true);
place_plain(0.23, 0.97, true);
place_plain(0.21, 0.97, true);
place_plain(0.19, 0.97, true);
place_plain(0.17, 0.97, false);
place_Beach(0.15, 0.97, false);
place_Beach(0.13, 0.97, true);
place_Beach(0.11, 0.97, false);
place_sea(0.09, 0.97, false);
place_sea(0.07, 0.97, true);
place_sea(0.05, 0.97, true);
place_sea(0.03, 0.97, true);
place_sea(0.01, 0.97, true);
rmBuildAllAreas();
rmSetStatusText("",0.055);

place_Mountains(0.99, 0.95, true);
place_Mountains(0.97, 0.95, true);
place_Mountains(0.95, 0.95, true);
place_Mountains(0.93, 0.95, true);
place_Mountains(0.91, 0.95, true);
place_Mountains(0.89, 0.95, true);
place_Mountains(0.87, 0.95, true);
place_Mountains(0.85, 0.95, true);
place_Mountains(0.83, 0.95, true);
place_Mountains(0.81, 0.95, true);
place_Mountains(0.79, 0.95, true);
place_Mountains(0.77, 0.95, true);
place_Mountains(0.75, 0.95, true);
place_Mountains(0.73, 0.95, true);
place_Mountains(0.71, 0.95, true);
place_Mountains(0.69, 0.95, false);
place_plain(0.67, 0.95, false);
place_plain(0.65, 0.95, true);
place_plain(0.63, 0.95, true);
place_plain(0.61, 0.95, true);
place_plain(0.59, 0.95, true);
place_plain(0.57, 0.95, true);
place_plain(0.55, 0.95, true);
place_plain(0.53, 0.95, true);
place_plain(0.51, 0.95, true);
place_plain(0.49, 0.95, true);
place_plain(0.47, 0.95, true);
place_plain(0.45, 0.95, true);
place_plain(0.43, 0.95, true);
place_plain(0.41, 0.95, true);
place_plain(0.39, 0.95, true);
place_plain(0.37, 0.95, true);
place_plain(0.35, 0.95, true);
place_plain(0.33, 0.95, true);
place_plain(0.31, 0.95, true);
place_plain(0.29, 0.95, true);
place_plain(0.27, 0.95, true);
place_plain(0.25, 0.95, true);
place_plain(0.23, 0.95, false);
place_plain(0.21, 0.95, false);
place_plain(0.19, 0.95, false);
place_plain(0.17, 0.95, false);
place_Beach(0.15, 0.95, false);
place_Beach(0.13, 0.95, true);
place_Beach(0.11, 0.95, false);
place_sea(0.09, 0.95, false);
place_sea(0.07, 0.95, true);
place_sea(0.05, 0.95, true);
place_sea(0.03, 0.95, true);
place_sea(0.01, 0.95, true);
rmBuildAllAreas();
rmSetStatusText("",0.06);

place_Mountains(0.99, 0.93, true);
place_Mountains(0.97, 0.93, true);
place_Mountains(0.95, 0.93, true);
place_Mountains(0.93, 0.93, true);
place_Mountains(0.91, 0.93, true);
place_Mountains(0.89, 0.93, true);
place_Mountains(0.87, 0.93, true);
place_Mountains(0.85, 0.93, true);
place_Mountains(0.83, 0.93, true);
place_Mountains(0.81, 0.93, true);
place_Mountains(0.79, 0.93, true);
place_Mountains(0.77, 0.93, true);
place_Mountains(0.75, 0.93, true);
place_Mountains(0.73, 0.93, true);
place_Mountains(0.71, 0.93, true);
place_Mountains(0.69, 0.93, false);
place_plain(0.67, 0.93, false);
place_plain(0.65, 0.93, true);
place_plain(0.63, 0.93, true);
place_plain(0.61, 0.93, true);
place_plain(0.59, 0.93, true);
place_plain(0.57, 0.93, true);
place_plain(0.55, 0.93, true);
place_plain(0.53, 0.93, true);
place_plain(0.51, 0.93, true);
place_plain(0.49, 0.93, true);
place_plain(0.47, 0.93, true);
place_plain(0.45, 0.93, true);
place_plain(0.43, 0.93, true);
place_plain(0.41, 0.93, true);
place_plain(0.39, 0.93, false);
place_plain(0.37, 0.93, false);
place_plain(0.35, 0.93, false);
place_plain(0.33, 0.93, true);
place_plain(0.31, 0.93, true);
place_plain(0.29, 0.93, true);
place_plain(0.27, 0.93, true);
place_plain(0.25, 0.93, false);
place_settlement(0.23, 0.93, false);
place_settlement(0.21, 0.93, false);
place_settlement(0.19, 0.93, false);
place_plain(0.17, 0.93, false);
place_Beach(0.15, 0.93, false);
place_Beach(0.13, 0.93, true);
place_Beach(0.11, 0.93, false);
place_sea(0.09, 0.93, false);
place_sea(0.07, 0.93, true);
place_sea(0.05, 0.93, true);
place_sea(0.03, 0.93, true);
place_sea(0.01, 0.93, true);
rmBuildAllAreas();
rmSetStatusText("",0.065);

place_Mountains(0.99, 0.91, true);
place_Mountains(0.97, 0.91, true);
place_Mountains(0.95, 0.91, true);
place_Mountains(0.93, 0.91, true);
place_Mountains(0.91, 0.91, false);
place_Mountains(0.89, 0.91, false);
place_Mountains(0.87, 0.91, false);
place_Mountains(0.85, 0.91, true);
place_Mountains(0.83, 0.91, true);
place_Mountains(0.81, 0.91, true);
place_Mountains(0.79, 0.91, true);
place_Mountains(0.77, 0.91, true);
place_Mountains(0.75, 0.91, true);
place_Mountains(0.73, 0.91, true);
place_Mountains(0.71, 0.91, true);
place_Mountains(0.69, 0.91, false);
place_plain(0.67, 0.91, false);
place_plain(0.65, 0.91, true);
place_plain(0.63, 0.91, true);
place_plain(0.61, 0.91, true);
place_plain(0.59, 0.91, false);
place_plain(0.57, 0.91, false);
place_plain(0.55, 0.91, false);
place_plain(0.53, 0.91, true);
place_plain(0.51, 0.91, true);
place_plain(0.49, 0.91, true);
place_plain(0.47, 0.91, true);
place_plain(0.45, 0.91, true);
place_plain(0.43, 0.91, true);
place_plain(0.41, 0.91, false);
place_settlement(0.39, 0.91, false);
place_settlement(0.37, 0.91, false);
place_settlement(0.35, 0.91, false);
place_plain(0.33, 0.91, false);
place_plain(0.31, 0.91, true);
place_plain(0.29, 0.91, true);
place_plain(0.27, 0.91, true);
place_plain(0.25, 0.91, false);
place_settlement(0.23, 0.91, false);
place_settlement(0.21, 0.91, true);
place_settlement(0.19, 0.91, false);
place_plain(0.17, 0.91, false);
place_Beach(0.15, 0.91, false);
place_Beach(0.13, 0.91, true);
place_Beach(0.11, 0.91, false);
place_sea(0.09, 0.91, false);
place_sea(0.07, 0.91, true);
place_sea(0.05, 0.91, true);
place_sea(0.03, 0.91, true);
place_sea(0.01, 0.91, true);
rmBuildAllAreas();
rmSetStatusText("",0.07);

place_Mountains(0.99, 0.89, true);
place_Mountains(0.97, 0.89, true);
place_Mountains(0.95, 0.89, true);
place_Mountains(0.93, 0.89, false);
place_settlement(0.91, 0.89, false);
place_settlement(0.89, 0.89, false);
place_settlement(0.87, 0.89, false);
place_Mountains(0.85, 0.89, false);
place_Mountains(0.83, 0.89, true);
place_Mountains(0.81, 0.89, true);
place_Mountains(0.79, 0.89, true);
place_Mountains(0.77, 0.89, true);
place_Mountains(0.75, 0.89, true);
place_Mountains(0.73, 0.89, true);
place_Mountains(0.71, 0.89, false);
place_plain(0.69, 0.89, false);
place_plain(0.67, 0.89, true);
place_plain(0.65, 0.89, true);
place_plain(0.63, 0.89, true);
place_plain(0.61, 0.89, false);
place_settlement(0.59, 0.89, false);
place_settlement(0.57, 0.89, false);
place_settlement(0.55, 0.89, false);
place_plain(0.53, 0.89, false);
place_plain(0.51, 0.89, true);
place_plain(0.49, 0.89, true);
place_plain(0.47, 0.89, true);
place_plain(0.45, 0.89, true);
place_plain(0.43, 0.89, true);
place_plain(0.41, 0.89, false);
place_settlement(0.39, 0.89, false);
place_settlement(0.37, 0.89, true);
place_settlement(0.35, 0.89, false);
place_plain(0.33, 0.89, false);
place_plain(0.31, 0.89, true);
place_plain(0.29, 0.89, true);
place_plain(0.27, 0.89, true);
place_plain(0.25, 0.89, false);
place_settlement(0.23, 0.89, false);
place_settlement(0.21, 0.89, false);
place_settlement(0.19, 0.89, false);
place_plain(0.17, 0.89, false);
place_Beach(0.15, 0.89, false);
place_Beach(0.13, 0.89, true);
place_Beach(0.11, 0.89, false);
place_sea(0.09, 0.89, false);
place_sea(0.07, 0.89, true);
place_sea(0.05, 0.89, true);
place_sea(0.03, 0.89, true);
place_sea(0.01, 0.89, true);
rmBuildAllAreas();
rmSetStatusText("",0.075);

place_Mountains(0.99, 0.87, true);
place_Mountains(0.97, 0.87, true);
place_Mountains(0.95, 0.87, true);
place_Mountains(0.93, 0.87, false);
place_settlement(0.91, 0.87, false);
place_settlement(0.89, 0.87, true);
place_settlement(0.87, 0.87, false);
place_Mountains(0.85, 0.87, false);
place_Mountains(0.83, 0.87, true);
place_Mountains(0.81, 0.87, true);
place_Mountains(0.79, 0.87, true);
place_Mountains(0.77, 0.87, true);
place_Mountains(0.75, 0.87, true);
place_Mountains(0.73, 0.87, true);
place_Mountains(0.71, 0.87, false);
place_plain(0.69, 0.87, false);
place_plain(0.67, 0.87, true);
place_plain(0.65, 0.87, true);
place_plain(0.63, 0.87, true);
place_plain(0.61, 0.87, false);
place_settlement(0.59, 0.87, false);
place_settlement(0.57, 0.87, true);
place_settlement(0.55, 0.87, false);
place_plain(0.53, 0.87, false);
place_plain(0.51, 0.87, true);
place_plain(0.49, 0.87, true);
place_plain(0.47, 0.87, true);
place_plain(0.45, 0.87, true);
place_plain(0.43, 0.87, true);
place_plain(0.41, 0.87, false);
place_settlement(0.39, 0.87, false);
place_settlement(0.37, 0.87, false);
place_settlement(0.35, 0.87, false);
place_plain(0.33, 0.87, false);
place_plain(0.31, 0.87, true);
place_plain(0.29, 0.87, true);
place_plain(0.27, 0.87, true);
place_plain(0.25, 0.87, true);
place_plain(0.23, 0.87, false);
place_plain(0.21, 0.87, false);
place_plain(0.19, 0.87, false);
place_plain(0.17, 0.87, false);
place_Beach(0.15, 0.87, false);
place_Beach(0.13, 0.87, true);
place_Beach(0.11, 0.87, false);
place_sea(0.09, 0.87, false);
place_sea(0.07, 0.87, true);
place_sea(0.05, 0.87, true);
place_sea(0.03, 0.87, true);
place_sea(0.01, 0.87, true);
rmBuildAllAreas();
rmSetStatusText("",0.08);

place_Mountains(0.99, 0.85, true);
place_Mountains(0.97, 0.85, true);
place_Mountains(0.95, 0.85, true);
place_Mountains(0.93, 0.85, false);
place_settlement(0.91, 0.85, false);
place_settlement(0.89, 0.85, false);
place_settlement(0.87, 0.85, false);
place_Mountains(0.85, 0.85, false);
place_Mountains(0.83, 0.85, true);
place_Mountains(0.81, 0.85, true);
place_Mountains(0.79, 0.85, true);
place_Mountains(0.77, 0.85, true);
place_Mountains(0.75, 0.85, true);
place_Mountains(0.73, 0.85, true);
place_Mountains(0.71, 0.85, false);
place_plain(0.69, 0.85, false);
place_plain(0.67, 0.85, true);
place_plain(0.65, 0.85, true);
place_plain(0.63, 0.85, true);
place_plain(0.61, 0.85, false);
place_settlement(0.59, 0.85, false);
place_settlement(0.57, 0.85, false);
place_settlement(0.55, 0.85, false);
place_plain(0.53, 0.85, false);
place_plain(0.51, 0.85, true);
place_plain(0.49, 0.85, true);
place_plain(0.47, 0.85, true);
place_plain(0.45, 0.85, true);
place_plain(0.43, 0.85, true);
place_plain(0.41, 0.85, true);
place_plain(0.39, 0.85, false);
place_plain(0.37, 0.85, false);
place_plain(0.35, 0.85, false);
place_plain(0.33, 0.85, true);
place_plain(0.31, 0.85, true);
place_plain(0.29, 0.85, true);
place_plain(0.27, 0.85, true);
place_plain(0.25, 0.85, true);
place_plain(0.23, 0.85, true);
place_plain(0.21, 0.85, true);
place_plain(0.19, 0.85, true);
place_plain(0.17, 0.85, false);
place_Beach(0.15, 0.85, false);
place_Beach(0.13, 0.85, true);
place_Beach(0.11, 0.85, false);
place_sea(0.09, 0.85, false);
place_sea(0.07, 0.85, true);
place_sea(0.05, 0.85, true);
place_sea(0.03, 0.85, true);
place_sea(0.01, 0.85, true);
rmBuildAllAreas();
rmSetStatusText("",0.085);

place_Mountains(0.99, 0.83, true);
place_Mountains(0.97, 0.83, true);
place_Mountains(0.95, 0.83, true);
place_Mountains(0.93, 0.83, true);
place_Mountains(0.91, 0.83, false);
place_Mountains(0.89, 0.83, false);
place_Mountains(0.87, 0.83, false);
place_Mountains(0.85, 0.83, true);
place_Mountains(0.83, 0.83, true);
place_Mountains(0.81, 0.83, true);
place_Mountains(0.79, 0.83, true);
place_Mountains(0.77, 0.83, true);
place_Mountains(0.75, 0.83, true);
place_Mountains(0.73, 0.83, true);
place_Mountains(0.71, 0.83, false);
place_plain(0.69, 0.83, false);
place_plain(0.67, 0.83, true);
place_plain(0.65, 0.83, true);
place_plain(0.63, 0.83, true);
place_plain(0.61, 0.83, true);
place_plain(0.59, 0.83, false);
place_plain(0.57, 0.83, false);
place_plain(0.55, 0.83, false);
place_plain(0.53, 0.83, true);
place_plain(0.51, 0.83, true);
place_plain(0.49, 0.83, true);
place_plain(0.47, 0.83, true);
place_plain(0.45, 0.83, true);
place_plain(0.43, 0.83, true);
place_plain(0.41, 0.83, true);
place_plain(0.39, 0.83, true);
place_plain(0.37, 0.83, true);
place_plain(0.35, 0.83, true);
place_plain(0.33, 0.83, true);
place_plain(0.31, 0.83, true);
place_plain(0.29, 0.83, true);
place_plain(0.27, 0.83, true);
place_plain(0.25, 0.83, true);
place_plain(0.23, 0.83, true);
place_plain(0.21, 0.83, true);
place_plain(0.19, 0.83, true);
place_plain(0.17, 0.83, false);
place_Beach(0.15, 0.83, false);
place_Beach(0.13, 0.83, true);
place_Beach(0.11, 0.83, false);
place_sea(0.09, 0.83, false);
place_sea(0.07, 0.83, true);
place_sea(0.05, 0.83, true);
place_sea(0.03, 0.83, true);
place_sea(0.01, 0.83, true);
rmBuildAllAreas();
rmSetStatusText("",0.09);

place_Mountains(0.99, 0.81, true);
place_Mountains(0.97, 0.81, true);
place_Mountains(0.95, 0.81, true);
place_Mountains(0.93, 0.81, true);
place_Mountains(0.91, 0.81, true);
place_Mountains(0.89, 0.81, true);
place_Mountains(0.87, 0.81, true);
place_Mountains(0.85, 0.81, true);
place_Mountains(0.83, 0.81, true);
place_Mountains(0.81, 0.81, true);
place_Mountains(0.79, 0.81, true);
place_Mountains(0.77, 0.81, true);
place_Mountains(0.75, 0.81, true);
place_Mountains(0.73, 0.81, true);
place_Mountains(0.71, 0.81, false);
place_plain(0.69, 0.81, false);
place_plain(0.67, 0.81, true);
place_plain(0.65, 0.81, true);
place_plain(0.63, 0.81, true);
place_plain(0.61, 0.81, true);
place_plain(0.59, 0.81, true);
place_plain(0.57, 0.81, true);
place_plain(0.55, 0.81, true);
place_plain(0.53, 0.81, true);
place_plain(0.51, 0.81, true);
place_plain(0.49, 0.81, true);
place_plain(0.47, 0.81, true);
place_plain(0.45, 0.81, true);
place_plain(0.43, 0.81, true);
place_plain(0.41, 0.81, true);
place_plain(0.39, 0.81, true);
place_plain(0.37, 0.81, true);
place_plain(0.35, 0.81, true);
place_plain(0.33, 0.81, true);
place_plain(0.31, 0.81, true);
place_plain(0.29, 0.81, true);
place_plain(0.27, 0.81, true);
place_plain(0.25, 0.81, true);
place_plain(0.23, 0.81, true);
place_plain(0.21, 0.81, true);
place_plain(0.19, 0.81, true);
place_plain(0.17, 0.81, false);
place_Beach(0.15, 0.81, false);
place_Beach(0.13, 0.81, true);
place_Beach(0.11, 0.81, false);
place_sea(0.09, 0.81, false);
place_sea(0.07, 0.81, true);
place_sea(0.05, 0.81, true);
place_sea(0.03, 0.81, true);
place_sea(0.01, 0.81, true);
rmBuildAllAreas();
rmSetStatusText("",0.095);

place_Mountains(0.99, 0.79, true);
place_Mountains(0.97, 0.79, true);
place_Mountains(0.95, 0.79, true);
place_Mountains(0.93, 0.79, true);
place_Mountains(0.91, 0.79, true);
place_Mountains(0.89, 0.79, true);
place_Mountains(0.87, 0.79, true);
place_Mountains(0.85, 0.79, true);
place_Mountains(0.83, 0.79, true);
place_Mountains(0.81, 0.79, true);
place_Mountains(0.79, 0.79, true);
place_Mountains(0.77, 0.79, true);
place_Mountains(0.75, 0.79, true);
place_Mountains(0.73, 0.79, false);
place_plain(0.71, 0.79, false);
place_plain(0.69, 0.79, true);
place_plain(0.67, 0.79, true);
place_plain(0.65, 0.79, true);
place_plain(0.63, 0.79, true);
place_plain(0.61, 0.79, true);
place_plain(0.59, 0.79, true);
place_plain(0.57, 0.79, true);
place_plain(0.55, 0.79, true);
place_plain(0.53, 0.79, true);
place_plain(0.51, 0.79, true);
place_plain(0.49, 0.79, true);
place_plain(0.47, 0.79, true);
place_plain(0.45, 0.79, true);
place_plain(0.43, 0.79, true);
place_plain(0.41, 0.79, true);
place_plain(0.39, 0.79, true);
place_plain(0.37, 0.79, true);
place_plain(0.35, 0.79, true);
place_plain(0.33, 0.79, true);
place_plain(0.31, 0.79, true);
place_plain(0.29, 0.79, true);
place_plain(0.27, 0.79, true);
place_plain(0.25, 0.79, true);
place_plain(0.23, 0.79, true);
place_plain(0.21, 0.79, true);
place_plain(0.19, 0.79, true);
place_plain(0.17, 0.79, false);
place_Beach(0.15, 0.79, false);
place_Beach(0.13, 0.79, true);
place_Beach(0.11, 0.79, false);
place_sea(0.09, 0.79, false);
place_sea(0.07, 0.79, true);
place_sea(0.05, 0.79, true);
place_sea(0.03, 0.79, true);
place_sea(0.01, 0.79, true);
rmBuildAllAreas();
rmSetStatusText("",0.1);

place_Mountains(0.99, 0.77, true);
place_Mountains(0.97, 0.77, true);
place_Mountains(0.95, 0.77, true);
place_Mountains(0.93, 0.77, true);
place_Mountains(0.91, 0.77, true);
place_Mountains(0.89, 0.77, true);
place_Mountains(0.87, 0.77, true);
place_Mountains(0.85, 0.77, true);
place_Mountains(0.83, 0.77, true);
place_Mountains(0.81, 0.77, true);
place_Mountains(0.79, 0.77, true);
place_Mountains(0.77, 0.77, true);
place_Mountains(0.75, 0.77, false);
place_plain(0.73, 0.77, false);
place_plain(0.71, 0.77, true);
place_plain(0.69, 0.77, true);
place_plain(0.67, 0.77, true);
place_plain(0.65, 0.77, true);
place_plain(0.63, 0.77, true);
place_plain(0.61, 0.77, true);
place_plain(0.59, 0.77, true);
place_plain(0.57, 0.77, true);
place_plain(0.55, 0.77, true);
place_plain(0.53, 0.77, true);
place_plain(0.51, 0.77, true);
place_plain(0.49, 0.77, true);
place_plain(0.47, 0.77, true);
place_plain(0.45, 0.77, true);
place_plain(0.43, 0.77, true);
place_plain(0.41, 0.77, true);
place_plain(0.39, 0.77, true);
place_plain(0.37, 0.77, true);
place_plain(0.35, 0.77, true);
place_plain(0.33, 0.77, true);
place_plain(0.31, 0.77, true);
place_plain(0.29, 0.77, true);
place_plain(0.27, 0.77, true);
place_plain(0.25, 0.77, true);
place_plain(0.23, 0.77, true);
place_plain(0.21, 0.77, true);
place_plain(0.19, 0.77, true);
place_plain(0.17, 0.77, false);
place_Beach(0.15, 0.77, false);
place_Beach(0.13, 0.77, true);
place_Beach(0.11, 0.77, false);
place_sea(0.09, 0.77, false);
place_sea(0.07, 0.77, true);
place_sea(0.05, 0.77, true);
place_sea(0.03, 0.77, true);
place_sea(0.01, 0.77, true);
rmBuildAllAreas();
rmSetStatusText("",0.105);

place_Mountains(0.99, 0.75, true);
place_Mountains(0.97, 0.75, true);
place_Mountains(0.95, 0.75, true);
place_Mountains(0.93, 0.75, true);
place_Mountains(0.91, 0.75, true);
place_Mountains(0.89, 0.75, true);
place_Mountains(0.87, 0.75, true);
place_Mountains(0.85, 0.75, true);
place_Mountains(0.83, 0.75, true);
place_Mountains(0.81, 0.75, true);
place_Mountains(0.79, 0.75, true);
place_Mountains(0.77, 0.75, true);
place_Mountains(0.75, 0.75, false);
place_plain(0.73, 0.75, false);
place_plain(0.71, 0.75, true);
place_plain(0.69, 0.75, true);
place_plain(0.67, 0.75, true);
place_plain(0.65, 0.75, true);
place_plain(0.63, 0.75, true);
place_plain(0.61, 0.75, true);
place_plain(0.59, 0.75, true);
place_plain(0.57, 0.75, true);
place_plain(0.55, 0.75, true);
place_plain(0.53, 0.75, true);
place_plain(0.51, 0.75, true);
place_plain(0.49, 0.75, true);
place_plain(0.47, 0.75, true);
place_plain(0.45, 0.75, true);
place_plain(0.43, 0.75, true);
place_plain(0.41, 0.75, true);
place_plain(0.39, 0.75, true);
place_plain(0.37, 0.75, true);
place_plain(0.35, 0.75, true);
place_plain(0.33, 0.75, true);
place_plain(0.31, 0.75, true);
place_plain(0.29, 0.75, true);
place_plain(0.27, 0.75, true);
place_plain(0.25, 0.75, true);
place_plain(0.23, 0.75, true);
place_plain(0.21, 0.75, true);
place_plain(0.19, 0.75, true);
place_plain(0.17, 0.75, false);
place_Beach(0.15, 0.75, false);
place_Beach(0.13, 0.75, true);
place_Beach(0.11, 0.75, false);
place_sea(0.09, 0.75, false);
place_sea(0.07, 0.75, true);
place_sea(0.05, 0.75, true);
place_sea(0.03, 0.75, true);
place_sea(0.01, 0.75, true);
rmBuildAllAreas();
rmSetStatusText("",0.11);

place_Mountains(0.99, 0.73, true);
place_Mountains(0.97, 0.73, true);
place_Mountains(0.95, 0.73, true);
place_Mountains(0.93, 0.73, true);
place_Mountains(0.91, 0.73, true);
place_Mountains(0.89, 0.73, true);
place_Mountains(0.87, 0.73, true);
place_Mountains(0.85, 0.73, true);
place_Mountains(0.83, 0.73, true);
place_Mountains(0.81, 0.73, true);
place_Mountains(0.79, 0.73, true);
place_Mountains(0.77, 0.73, false);
place_plain(0.75, 0.73, false);
place_plain(0.73, 0.73, true);
place_plain(0.71, 0.73, true);
place_plain(0.69, 0.73, true);
place_plain(0.67, 0.73, true);
place_plain(0.65, 0.73, true);
place_plain(0.63, 0.73, true);
place_plain(0.61, 0.73, true);
place_plain(0.59, 0.73, true);
place_plain(0.57, 0.73, true);
place_plain(0.55, 0.73, true);
place_plain(0.53, 0.73, true);
place_plain(0.51, 0.73, true);
place_plain(0.49, 0.73, true);
place_plain(0.47, 0.73, true);
place_plain(0.45, 0.73, true);
place_plain(0.43, 0.73, true);
place_plain(0.41, 0.73, true);
place_plain(0.39, 0.73, true);
place_plain(0.37, 0.73, true);
place_plain(0.35, 0.73, true);
place_plain(0.33, 0.73, true);
place_plain(0.31, 0.73, true);
place_plain(0.29, 0.73, true);
place_plain(0.27, 0.73, true);
place_plain(0.25, 0.73, true);
place_plain(0.23, 0.73, true);
place_plain(0.21, 0.73, true);
place_plain(0.19, 0.73, true);
place_plain(0.17, 0.73, false);
place_Beach(0.15, 0.73, false);
place_Beach(0.13, 0.73, true);
place_Beach(0.11, 0.73, false);
place_sea(0.09, 0.73, false);
place_sea(0.07, 0.73, true);
place_sea(0.05, 0.73, true);
place_sea(0.03, 0.73, true);
place_sea(0.01, 0.73, true);
rmBuildAllAreas();
rmSetStatusText("",0.115);

place_Mountains(0.99, 0.71, true);
place_Mountains(0.97, 0.71, true);
place_Mountains(0.95, 0.71, true);
place_Mountains(0.93, 0.71, true);
place_Mountains(0.91, 0.71, true);
place_Mountains(0.89, 0.71, true);
place_Mountains(0.87, 0.71, true);
place_Mountains(0.85, 0.71, true);
place_Mountains(0.83, 0.71, true);
place_Mountains(0.81, 0.71, false);
place_Mountains(0.79, 0.71, false);
place_plain(0.77, 0.71, false);
place_plain(0.75, 0.71, true);
place_plain(0.73, 0.71, true);
place_plain(0.71, 0.71, true);
place_plain(0.69, 0.71, true);
place_plain(0.67, 0.71, true);
place_plain(0.65, 0.71, true);
place_plain(0.63, 0.71, true);
place_plain(0.61, 0.71, true);
place_plain(0.59, 0.71, true);
place_plain(0.57, 0.71, true);
place_plain(0.55, 0.71, true);
place_plain(0.53, 0.71, true);
place_plain(0.51, 0.71, true);
place_plain(0.49, 0.71, true);
place_plain(0.47, 0.71, true);
place_plain(0.45, 0.71, true);
place_plain(0.43, 0.71, true);
place_plain(0.41, 0.71, true);
place_plain(0.39, 0.71, true);
place_plain(0.37, 0.71, true);
place_plain(0.35, 0.71, true);
place_plain(0.33, 0.71, true);
place_plain(0.31, 0.71, true);
place_plain(0.29, 0.71, true);
place_plain(0.27, 0.71, true);
place_plain(0.25, 0.71, true);
place_plain(0.23, 0.71, true);
place_plain(0.21, 0.71, true);
place_plain(0.19, 0.71, true);
place_plain(0.17, 0.71, false);
place_Beach(0.15, 0.71, false);
place_Beach(0.13, 0.71, true);
place_Beach(0.11, 0.71, false);
place_sea(0.09, 0.71, false);
place_sea(0.07, 0.71, true);
place_sea(0.05, 0.71, true);
place_sea(0.03, 0.71, true);
place_sea(0.01, 0.71, true);
rmBuildAllAreas();
rmSetStatusText("",0.12);

place_Mountains(0.99, 0.69, true);
place_Mountains(0.97, 0.69, true);
place_Mountains(0.95, 0.69, true);
place_Mountains(0.93, 0.69, true);
place_Mountains(0.91, 0.69, true);
place_Mountains(0.89, 0.69, true);
place_Mountains(0.87, 0.69, true);
place_Mountains(0.85, 0.69, true);
place_Mountains(0.83, 0.69, false);
place_plain(0.81, 0.69, false);
place_plain(0.79, 0.69, false);
place_plain(0.77, 0.69, true);
place_plain(0.75, 0.69, true);
place_plain(0.73, 0.69, true);
place_plain(0.71, 0.69, true);
place_plain(0.69, 0.69, true);
place_plain(0.67, 0.69, true);
place_plain(0.65, 0.69, true);
place_plain(0.63, 0.69, true);
place_plain(0.61, 0.69, true);
place_plain(0.59, 0.69, true);
place_plain(0.57, 0.69, true);
place_plain(0.55, 0.69, true);
place_plain(0.53, 0.69, true);
place_plain(0.51, 0.69, true);
place_plain(0.49, 0.69, true);
place_plain(0.47, 0.69, true);
place_plain(0.45, 0.69, true);
place_plain(0.43, 0.69, true);
place_plain(0.41, 0.69, true);
place_plain(0.39, 0.69, true);
place_plain(0.37, 0.69, true);
place_plain(0.35, 0.69, true);
place_plain(0.33, 0.69, true);
place_plain(0.31, 0.69, true);
place_plain(0.29, 0.69, true);
place_plain(0.27, 0.69, true);
place_plain(0.25, 0.69, true);
place_plain(0.23, 0.69, true);
place_plain(0.21, 0.69, true);
place_plain(0.19, 0.69, true);
place_plain(0.17, 0.69, false);
place_Beach(0.15, 0.69, false);
place_Beach(0.13, 0.69, true);
place_Beach(0.11, 0.69, false);
place_sea(0.09, 0.69, false);
place_sea(0.07, 0.69, true);
place_sea(0.05, 0.69, true);
place_sea(0.03, 0.69, true);
place_sea(0.01, 0.69, true);
rmBuildAllAreas();
rmSetStatusText("",0.125);

place_Mountains(0.99, 0.67, true);
place_Mountains(0.97, 0.67, true);
place_Mountains(0.95, 0.67, true);
place_Mountains(0.93, 0.67, true);
place_Mountains(0.91, 0.67, true);
place_Mountains(0.89, 0.67, true);
place_Mountains(0.87, 0.67, true);
place_Mountains(0.85, 0.67, false);
place_Mountains(0.83, 0.67, false);
place_plain(0.81, 0.67, false);
place_plain(0.79, 0.67, true);
place_plain(0.77, 0.67, true);
place_plain(0.75, 0.67, true);
place_plain(0.73, 0.67, true);
place_plain(0.71, 0.67, true);
place_plain(0.69, 0.67, true);
place_plain(0.67, 0.67, true);
place_plain(0.65, 0.67, true);
place_plain(0.63, 0.67, true);
place_plain(0.61, 0.67, true);
place_plain(0.59, 0.67, true);
place_plain(0.57, 0.67, true);
place_plain(0.55, 0.67, true);
place_plain(0.53, 0.67, true);
place_plain(0.51, 0.67, true);
place_plain(0.49, 0.67, true);
place_plain(0.47, 0.67, true);
place_plain(0.45, 0.67, true);
place_plain(0.43, 0.67, true);
place_plain(0.41, 0.67, true);
place_plain(0.39, 0.67, true);
place_plain(0.37, 0.67, true);
place_plain(0.35, 0.67, true);
place_plain(0.33, 0.67, true);
place_plain(0.31, 0.67, true);
place_plain(0.29, 0.67, true);
place_plain(0.27, 0.67, true);
place_plain(0.25, 0.67, true);
place_plain(0.23, 0.67, true);
place_plain(0.21, 0.67, true);
place_plain(0.19, 0.67, true);
place_plain(0.17, 0.67, false);
place_Beach(0.15, 0.67, false);
place_Beach(0.13, 0.67, true);
place_Beach(0.11, 0.67, false);
place_sea(0.09, 0.67, false);
place_sea(0.07, 0.67, true);
place_sea(0.05, 0.67, true);
place_sea(0.03, 0.67, true);
place_sea(0.01, 0.67, true);
rmBuildAllAreas();
rmSetStatusText("",0.13);

place_Mountains(0.99, 0.65, true);
place_Mountains(0.97, 0.65, true);
place_Mountains(0.95, 0.65, true);
place_Mountains(0.93, 0.65, true);
place_Mountains(0.91, 0.65, true);
place_Mountains(0.89, 0.65, true);
place_Mountains(0.87, 0.65, false);
place_plain(0.85, 0.65, false);
place_plain(0.83, 0.65, false);
place_plain(0.81, 0.65, true);
place_plain(0.79, 0.65, true);
place_plain(0.77, 0.65, true);
place_plain(0.75, 0.65, true);
place_plain(0.73, 0.65, true);
place_plain(0.71, 0.65, true);
place_plain(0.69, 0.65, true);
place_plain(0.67, 0.65, true);
place_plain(0.65, 0.65, true);
place_plain(0.63, 0.65, true);
place_plain(0.61, 0.65, true);
place_plain(0.59, 0.65, true);
place_plain(0.57, 0.65, true);
place_plain(0.55, 0.65, true);
place_plain(0.53, 0.65, true);
place_plain(0.51, 0.65, true);
place_plain(0.49, 0.65, true);
place_plain(0.47, 0.65, true);
place_plain(0.45, 0.65, true);
place_plain(0.43, 0.65, true);
place_plain(0.41, 0.65, true);
place_plain(0.39, 0.65, true);
place_plain(0.37, 0.65, true);
place_plain(0.35, 0.65, true);
place_plain(0.33, 0.65, true);
place_plain(0.31, 0.65, true);
place_plain(0.29, 0.65, true);
place_plain(0.27, 0.65, true);
place_plain(0.25, 0.65, true);
place_plain(0.23, 0.65, true);
place_plain(0.21, 0.65, true);
place_plain(0.19, 0.65, true);
place_plain(0.17, 0.65, false);
place_Beach(0.15, 0.65, false);
place_Beach(0.13, 0.65, true);
place_Beach(0.11, 0.65, false);
place_sea(0.09, 0.65, false);
place_sea(0.07, 0.65, true);
place_sea(0.05, 0.65, true);
place_sea(0.03, 0.65, true);
place_sea(0.01, 0.65, true);
rmBuildAllAreas();
rmSetStatusText("",0.135);

place_Mountains(0.99, 0.63, true);
place_Mountains(0.97, 0.63, true);
place_Mountains(0.95, 0.63, true);
place_Mountains(0.93, 0.63, true);
place_Mountains(0.91, 0.63, true);
place_Mountains(0.89, 0.63, true);
place_Mountains(0.87, 0.63, false);
place_plain(0.85, 0.63, false);
place_plain(0.83, 0.63, true);
place_plain(0.81, 0.63, true);
place_plain(0.79, 0.63, true);
place_plain(0.77, 0.63, true);
place_plain(0.75, 0.63, true);
place_plain(0.73, 0.63, true);
place_plain(0.71, 0.63, true);
place_plain(0.69, 0.63, true);
place_plain(0.67, 0.63, true);
place_plain(0.65, 0.63, true);
place_plain(0.63, 0.63, true);
place_plain(0.61, 0.63, true);
place_plain(0.59, 0.63, true);
place_plain(0.57, 0.63, true);
place_plain(0.55, 0.63, true);
place_plain(0.53, 0.63, true);
place_plain(0.51, 0.63, true);
place_plain(0.49, 0.63, true);
place_plain(0.47, 0.63, true);
place_plain(0.45, 0.63, true);
place_plain(0.43, 0.63, true);
place_plain(0.41, 0.63, true);
place_plain(0.39, 0.63, true);
place_plain(0.37, 0.63, true);
place_plain(0.35, 0.63, true);
place_plain(0.33, 0.63, true);
place_plain(0.31, 0.63, true);
place_plain(0.29, 0.63, true);
place_plain(0.27, 0.63, true);
place_plain(0.25, 0.63, true);
place_plain(0.23, 0.63, true);
place_plain(0.21, 0.63, true);
place_plain(0.19, 0.63, true);
place_plain(0.17, 0.63, false);
place_Beach(0.15, 0.63, false);
place_Beach(0.13, 0.63, true);
place_Beach(0.11, 0.63, false);
place_sea(0.09, 0.63, false);
place_sea(0.07, 0.63, true);
place_sea(0.05, 0.63, true);
place_sea(0.03, 0.63, true);
place_sea(0.01, 0.63, true);
rmBuildAllAreas();
rmSetStatusText("",0.14);

place_Mountains(0.99, 0.61, true);
place_Mountains(0.97, 0.61, true);
place_Mountains(0.95, 0.61, true);
place_Mountains(0.93, 0.61, true);
place_Mountains(0.91, 0.61, true);
place_Mountains(0.89, 0.61, true);
place_Mountains(0.87, 0.61, false);
place_plain(0.85, 0.61, false);
place_plain(0.83, 0.61, true);
place_plain(0.81, 0.61, true);
place_plain(0.79, 0.61, true);
place_plain(0.77, 0.61, true);
place_plain(0.75, 0.61, true);
place_plain(0.73, 0.61, true);
place_plain(0.71, 0.61, true);
place_plain(0.69, 0.61, true);
place_plain(0.67, 0.61, true);
place_plain(0.65, 0.61, true);
place_plain(0.63, 0.61, true);
place_plain(0.61, 0.61, true);
place_plain(0.59, 0.61, true);
place_plain(0.57, 0.61, true);
place_plain(0.55, 0.61, true);
place_plain(0.53, 0.61, true);
place_plain(0.51, 0.61, true);
place_plain(0.49, 0.61, true);
place_plain(0.47, 0.61, true);
place_plain(0.45, 0.61, true);
place_plain(0.43, 0.61, true);
place_plain(0.41, 0.61, true);
place_plain(0.39, 0.61, true);
place_plain(0.37, 0.61, true);
place_plain(0.35, 0.61, true);
place_plain(0.33, 0.61, true);
place_plain(0.31, 0.61, true);
place_plain(0.29, 0.61, true);
place_plain(0.27, 0.61, true);
place_plain(0.25, 0.61, true);
place_plain(0.23, 0.61, true);
place_plain(0.21, 0.61, true);
place_plain(0.19, 0.61, true);
place_plain(0.17, 0.61, false);
place_Beach(0.15, 0.61, false);
place_Beach(0.13, 0.61, true);
place_Beach(0.11, 0.61, false);
place_sea(0.09, 0.61, false);
place_sea(0.07, 0.61, true);
place_sea(0.05, 0.61, true);
place_sea(0.03, 0.61, true);
place_sea(0.01, 0.61, true);
rmBuildAllAreas();
rmSetStatusText("",0.145);

place_Mountains(0.99, 0.59, true);
place_Mountains(0.97, 0.59, true);
place_Mountains(0.95, 0.59, true);
place_Mountains(0.93, 0.59, true);
place_Mountains(0.91, 0.59, false);
place_Mountains(0.89, 0.59, false);
place_plain(0.87, 0.59, false);
place_plain(0.85, 0.59, true);
place_plain(0.83, 0.59, true);
place_plain(0.81, 0.59, true);
place_plain(0.79, 0.59, true);
place_plain(0.77, 0.59, true);
place_plain(0.75, 0.59, true);
place_plain(0.73, 0.59, true);
place_plain(0.71, 0.59, true);
place_plain(0.69, 0.59, true);
place_plain(0.67, 0.59, true);
place_plain(0.65, 0.59, true);
place_plain(0.63, 0.59, true);
place_plain(0.61, 0.59, true);
place_plain(0.59, 0.59, true);
place_plain(0.57, 0.59, true);
place_plain(0.55, 0.59, true);
place_plain(0.53, 0.59, true);
place_plain(0.51, 0.59, true);
place_plain(0.49, 0.59, true);
place_plain(0.47, 0.59, true);
place_plain(0.45, 0.59, true);
place_plain(0.43, 0.59, true);
place_plain(0.41, 0.59, true);
place_plain(0.39, 0.59, true);
place_plain(0.37, 0.59, true);
place_plain(0.35, 0.59, true);
place_plain(0.33, 0.59, true);
place_plain(0.31, 0.59, true);
place_plain(0.29, 0.59, true);
place_plain(0.27, 0.59, true);
place_plain(0.25, 0.59, true);
place_plain(0.23, 0.59, true);
place_plain(0.21, 0.59, true);
place_plain(0.19, 0.59, true);
place_plain(0.17, 0.59, false);
place_Beach(0.15, 0.59, false);
place_Beach(0.13, 0.59, true);
place_Beach(0.11, 0.59, false);
place_sea(0.09, 0.59, false);
place_sea(0.07, 0.59, true);
place_sea(0.05, 0.59, true);
place_sea(0.03, 0.59, true);
place_sea(0.01, 0.59, true);
rmBuildAllAreas();
rmSetStatusText("",0.15);

place_Mountains(0.99, 0.57, true);
place_Mountains(0.97, 0.57, true);
place_Mountains(0.95, 0.57, true);
place_Mountains(0.93, 0.57, false);
place_plain(0.91, 0.57, false);
place_plain(0.89, 0.57, false);
place_plain(0.87, 0.57, true);
place_plain(0.85, 0.57, true);
place_plain(0.83, 0.57, true);
place_plain(0.81, 0.57, true);
place_plain(0.79, 0.57, true);
place_plain(0.77, 0.57, true);
place_plain(0.75, 0.57, true);
place_plain(0.73, 0.57, true);
place_plain(0.71, 0.57, true);
place_plain(0.69, 0.57, true);
place_plain(0.67, 0.57, true);
place_plain(0.65, 0.57, true);
place_plain(0.63, 0.57, true);
place_plain(0.61, 0.57, true);
place_plain(0.59, 0.57, true);
place_plain(0.57, 0.57, true);
place_plain(0.55, 0.57, true);
place_plain(0.53, 0.57, true);
place_plain(0.51, 0.57, true);
place_plain(0.49, 0.57, true);
place_plain(0.47, 0.57, true);
place_plain(0.45, 0.57, true);
place_plain(0.43, 0.57, true);
place_plain(0.41, 0.57, true);
place_plain(0.39, 0.57, true);
place_plain(0.37, 0.57, true);
place_plain(0.35, 0.57, true);
place_plain(0.33, 0.57, true);
place_plain(0.31, 0.57, true);
place_plain(0.29, 0.57, true);
place_plain(0.27, 0.57, true);
place_plain(0.25, 0.57, true);
place_plain(0.23, 0.57, true);
place_plain(0.21, 0.57, true);
place_plain(0.19, 0.57, true);
place_plain(0.17, 0.57, false);
place_Beach(0.15, 0.57, false);
place_Beach(0.13, 0.57, true);
place_Beach(0.11, 0.57, false);
place_sea(0.09, 0.57, false);
place_sea(0.07, 0.57, true);
place_sea(0.05, 0.57, true);
place_sea(0.03, 0.57, true);
place_sea(0.01, 0.57, true);
rmBuildAllAreas();
rmSetStatusText("",0.155);

place_Mountains(0.99, 0.55, true);
place_Mountains(0.97, 0.55, true);
place_Mountains(0.95, 0.55, true);
place_Mountains(0.93, 0.55, false);
place_plain(0.91, 0.55, false);
place_plain(0.89, 0.55, true);
place_plain(0.87, 0.55, true);
place_plain(0.85, 0.55, true);
place_plain(0.83, 0.55, true);
place_plain(0.81, 0.55, true);
place_plain(0.79, 0.55, true);
place_plain(0.77, 0.55, true);
place_plain(0.75, 0.55, true);
place_plain(0.73, 0.55, true);
place_plain(0.71, 0.55, true);
place_plain(0.69, 0.55, true);
place_plain(0.67, 0.55, true);
place_plain(0.65, 0.55, true);
place_plain(0.63, 0.55, true);
place_plain(0.61, 0.55, true);
place_plain(0.59, 0.55, true);
place_plain(0.57, 0.55, true);
place_plain(0.55, 0.55, true);
place_plain(0.53, 0.55, true);
place_plain(0.51, 0.55, true);
place_plain(0.49, 0.55, true);
place_plain(0.47, 0.55, true);
place_plain(0.45, 0.55, true);
place_plain(0.43, 0.55, true);
place_plain(0.41, 0.55, true);
place_plain(0.39, 0.55, true);
place_plain(0.37, 0.55, true);
place_plain(0.35, 0.55, true);
place_plain(0.33, 0.55, true);
place_plain(0.31, 0.55, true);
place_plain(0.29, 0.55, true);
place_plain(0.27, 0.55, true);
place_plain(0.25, 0.55, true);
place_plain(0.23, 0.55, true);
place_plain(0.21, 0.55, true);
place_plain(0.19, 0.55, true);
place_plain(0.17, 0.55, false);
place_Beach(0.15, 0.55, false);
place_Beach(0.13, 0.55, true);
place_Beach(0.11, 0.55, false);
place_sea(0.09, 0.55, false);
place_sea(0.07, 0.55, true);
place_sea(0.05, 0.55, true);
place_sea(0.03, 0.55, true);
place_sea(0.01, 0.55, true);
rmBuildAllAreas();
rmSetStatusText("",0.16);

place_Mountains(0.99, 0.53, true);
place_Mountains(0.97, 0.53, true);
place_Mountains(0.95, 0.53, true);
place_Mountains(0.93, 0.53, false);
place_plain(0.91, 0.53, false);
place_plain(0.89, 0.53, true);
place_plain(0.87, 0.53, true);
place_plain(0.85, 0.53, true);
place_plain(0.83, 0.53, false);
place_plain(0.81, 0.53, false);
place_plain(0.79, 0.53, false);
place_plain(0.77, 0.53, true);
place_plain(0.75, 0.53, true);
place_plain(0.73, 0.53, true);
place_plain(0.71, 0.53, true);
place_plain(0.69, 0.53, true);
place_plain(0.67, 0.53, true);
place_plain(0.65, 0.53, true);
place_plain(0.63, 0.53, true);
place_plain(0.61, 0.53, true);
place_plain(0.59, 0.53, true);
place_plain(0.57, 0.53, true);
place_plain(0.55, 0.53, true);
place_plain(0.53, 0.53, true);
place_plain(0.51, 0.53, true);
place_plain(0.49, 0.53, true);
place_plain(0.47, 0.53, true);
place_plain(0.45, 0.53, true);
place_plain(0.43, 0.53, true);
place_plain(0.41, 0.53, true);
place_plain(0.39, 0.53, true);
place_plain(0.37, 0.53, true);
place_plain(0.35, 0.53, true);
place_plain(0.33, 0.53, true);
place_plain(0.31, 0.53, true);
place_plain(0.29, 0.53, true);
place_plain(0.27, 0.53, true);
place_plain(0.25, 0.53, true);
place_plain(0.23, 0.53, true);
place_plain(0.21, 0.53, true);
place_plain(0.19, 0.53, true);
place_plain(0.17, 0.53, false);
place_Beach(0.15, 0.53, false);
place_Beach(0.13, 0.53, true);
place_Beach(0.11, 0.53, false);
place_sea(0.09, 0.53, false);
place_sea(0.07, 0.53, true);
place_sea(0.05, 0.53, true);
place_sea(0.03, 0.53, true);
place_sea(0.01, 0.53, true);
rmBuildAllAreas();
rmSetStatusText("",0.165);

place_Mountains(0.99, 0.51, true);
place_Mountains(0.97, 0.51, true);
place_Mountains(0.95, 0.51, true);
place_Mountains(0.93, 0.51, false);
place_plain(0.91, 0.51, false);
place_plain(0.89, 0.51, true);
place_plain(0.87, 0.51, true);
place_plain(0.85, 0.51, false);
place_settlement(0.83, 0.51, false);
place_settlement(0.81, 0.51, false);
place_settlement(0.79, 0.51, false);
place_plain(0.77, 0.51, false);
place_plain(0.75, 0.51, true);
place_plain(0.73, 0.51, true);
place_plain(0.71, 0.51, true);
place_plain(0.69, 0.51, true);
place_plain(0.67, 0.51, true);
place_plain(0.65, 0.51, true);
place_plain(0.63, 0.51, true);
place_plain(0.61, 0.51, true);
place_plain(0.59, 0.51, true);
place_plain(0.57, 0.51, true);
place_plain(0.55, 0.51, true);
place_plain(0.53, 0.51, true);
place_plain(0.51, 0.51, true);
place_plain(0.49, 0.51, true);
place_plain(0.47, 0.51, true);
place_plain(0.45, 0.51, true);
place_plain(0.43, 0.51, true);
place_plain(0.41, 0.51, true);
place_plain(0.39, 0.51, true);
place_plain(0.37, 0.51, true);
place_plain(0.35, 0.51, true);
place_plain(0.33, 0.51, true);
place_plain(0.31, 0.51, true);
place_plain(0.29, 0.51, true);
place_plain(0.27, 0.51, true);
place_plain(0.25, 0.51, true);
place_plain(0.23, 0.51, true);
place_plain(0.21, 0.51, true);
place_plain(0.19, 0.51, true);
place_plain(0.17, 0.51, false);
place_Beach(0.15, 0.51, false);
place_Beach(0.13, 0.51, true);
place_Beach(0.11, 0.51, false);
place_sea(0.09, 0.51, false);
place_sea(0.07, 0.51, true);
place_sea(0.05, 0.51, true);
place_sea(0.03, 0.51, true);
place_sea(0.01, 0.51, true);
rmBuildAllAreas();
rmSetStatusText("",0.17);

place_Mountains(0.99, 0.49, true);
place_Mountains(0.97, 0.49, true);
place_Mountains(0.95, 0.49, true);
place_Mountains(0.93, 0.49, false);
place_plain(0.91, 0.49, false);
place_plain(0.89, 0.49, true);
place_plain(0.87, 0.49, true);
place_plain(0.85, 0.49, false);
place_settlement(0.83, 0.49, false);
place_settlement(0.81, 0.49, true);
place_settlement(0.79, 0.49, false);
place_plain(0.77, 0.49, false);
place_plain(0.75, 0.49, true);
place_plain(0.73, 0.49, true);
place_plain(0.71, 0.49, true);
place_plain(0.69, 0.49, true);
place_plain(0.67, 0.49, true);
place_plain(0.65, 0.49, true);
place_plain(0.63, 0.49, true);
place_plain(0.61, 0.49, true);
place_plain(0.59, 0.49, true);
place_plain(0.57, 0.49, true);
place_plain(0.55, 0.49, true);
place_plain(0.53, 0.49, true);
place_plain(0.51, 0.49, true);
place_plain(0.49, 0.49, true);
place_plain(0.47, 0.49, true);
place_plain(0.45, 0.49, true);
place_plain(0.43, 0.49, true);
place_plain(0.41, 0.49, true);
place_plain(0.39, 0.49, true);
place_plain(0.37, 0.49, false);
place_plain(0.35, 0.49, false);
place_plain(0.33, 0.49, false);
place_plain(0.31, 0.49, true);
place_plain(0.29, 0.49, true);
place_plain(0.27, 0.49, true);
place_plain(0.25, 0.49, true);
place_plain(0.23, 0.49, true);
place_plain(0.21, 0.49, true);
place_plain(0.19, 0.49, true);
place_plain(0.17, 0.49, false);
place_Beach(0.15, 0.49, false);
place_Beach(0.13, 0.49, true);
place_Beach(0.11, 0.49, false);
place_sea(0.09, 0.49, false);
place_sea(0.07, 0.49, true);
place_sea(0.05, 0.49, true);
place_sea(0.03, 0.49, true);
place_sea(0.01, 0.49, true);
rmBuildAllAreas();
rmSetStatusText("",0.175);

place_Mountains(0.99, 0.47, true);
place_Mountains(0.97, 0.47, true);
place_Mountains(0.95, 0.47, true);
place_Mountains(0.93, 0.47, false);
place_plain(0.91, 0.47, false);
place_plain(0.89, 0.47, true);
place_plain(0.87, 0.47, true);
place_plain(0.85, 0.47, false);
place_settlement(0.83, 0.47, false);
place_settlement(0.81, 0.47, false);
place_settlement(0.79, 0.47, false);
place_plain(0.77, 0.47, false);
place_plain(0.75, 0.47, true);
place_plain(0.73, 0.47, true);
place_plain(0.71, 0.47, true);
place_plain(0.69, 0.47, true);
place_plain(0.67, 0.47, true);
place_plain(0.65, 0.47, true);
place_plain(0.63, 0.47, true);
place_plain(0.61, 0.47, true);
place_plain(0.59, 0.47, true);
place_plain(0.57, 0.47, true);
place_plain(0.55, 0.47, true);
place_plain(0.53, 0.47, true);
place_plain(0.51, 0.47, true);
place_plain(0.49, 0.47, true);
place_plain(0.47, 0.47, true);
place_plain(0.45, 0.47, true);
place_plain(0.43, 0.47, true);
place_plain(0.41, 0.47, true);
place_plain(0.39, 0.47, false);
place_settlement(0.37, 0.47, false);
place_settlement(0.35, 0.47, false);
place_settlement(0.33, 0.47, false);
place_plain(0.31, 0.47, false);
place_plain(0.29, 0.47, true);
place_plain(0.27, 0.47, true);
place_plain(0.25, 0.47, true);
place_plain(0.23, 0.47, true);
place_plain(0.21, 0.47, true);
place_plain(0.19, 0.47, true);
place_plain(0.17, 0.47, false);
place_Beach(0.15, 0.47, false);
place_Beach(0.13, 0.47, true);
place_Beach(0.11, 0.47, false);
place_sea(0.09, 0.47, false);
place_sea(0.07, 0.47, true);
place_sea(0.05, 0.47, true);
place_sea(0.03, 0.47, true);
place_sea(0.01, 0.47, true);
rmBuildAllAreas();
rmSetStatusText("",0.18);

place_Mountains(0.99, 0.45, true);
place_Mountains(0.97, 0.45, true);
place_Mountains(0.95, 0.45, true);
place_Mountains(0.93, 0.45, false);
place_plain(0.91, 0.45, false);
place_plain(0.89, 0.45, true);
place_plain(0.87, 0.45, true);
place_plain(0.85, 0.45, true);
place_plain(0.83, 0.45, false);
place_plain(0.81, 0.45, false);
place_plain(0.79, 0.45, false);
place_plain(0.77, 0.45, true);
place_plain(0.75, 0.45, true);
place_plain(0.73, 0.45, true);
place_plain(0.71, 0.45, true);
place_plain(0.69, 0.45, true);
place_plain(0.67, 0.45, true);
place_plain(0.65, 0.45, true);
place_plain(0.63, 0.45, true);
place_plain(0.61, 0.45, true);
place_plain(0.59, 0.45, true);
place_plain(0.57, 0.45, true);
place_plain(0.55, 0.45, true);
place_plain(0.53, 0.45, true);
place_plain(0.51, 0.45, true);
place_plain(0.49, 0.45, true);
place_plain(0.47, 0.45, true);
place_plain(0.45, 0.45, true);
place_plain(0.43, 0.45, true);
place_plain(0.41, 0.45, true);
place_plain(0.39, 0.45, false);
place_settlement(0.37, 0.45, false);
place_settlement(0.35, 0.45, true);
place_settlement(0.33, 0.45, false);
place_plain(0.31, 0.45, false);
place_plain(0.29, 0.45, true);
place_plain(0.27, 0.45, true);
place_plain(0.25, 0.45, true);
place_plain(0.23, 0.45, true);
place_plain(0.21, 0.45, true);
place_plain(0.19, 0.45, true);
place_plain(0.17, 0.45, false);
place_Beach(0.15, 0.45, false);
place_Beach(0.13, 0.45, true);
place_Beach(0.11, 0.45, false);
place_sea(0.09, 0.45, false);
place_sea(0.07, 0.45, true);
place_sea(0.05, 0.45, true);
place_sea(0.03, 0.45, true);
place_sea(0.01, 0.45, true);
rmBuildAllAreas();
rmSetStatusText("",0.185);

place_Mountains(0.99, 0.43, true);
place_Mountains(0.97, 0.43, true);
place_Mountains(0.95, 0.43, true);
place_Mountains(0.93, 0.43, false);
place_plain(0.91, 0.43, false);
place_plain(0.89, 0.43, true);
place_plain(0.87, 0.43, true);
place_plain(0.85, 0.43, true);
place_plain(0.83, 0.43, true);
place_plain(0.81, 0.43, true);
place_plain(0.79, 0.43, true);
place_plain(0.77, 0.43, true);
place_plain(0.75, 0.43, true);
place_plain(0.73, 0.43, true);
place_plain(0.71, 0.43, true);
place_plain(0.69, 0.43, true);
place_plain(0.67, 0.43, true);
place_plain(0.65, 0.43, true);
place_plain(0.63, 0.43, true);
place_plain(0.61, 0.43, true);
place_plain(0.59, 0.43, true);
place_plain(0.57, 0.43, true);
place_plain(0.55, 0.43, true);
place_plain(0.53, 0.43, true);
place_plain(0.51, 0.43, true);
place_plain(0.49, 0.43, true);
place_plain(0.47, 0.43, true);
place_plain(0.45, 0.43, true);
place_plain(0.43, 0.43, true);
place_plain(0.41, 0.43, true);
place_plain(0.39, 0.43, false);
place_settlement(0.37, 0.43, false);
place_settlement(0.35, 0.43, false);
place_settlement(0.33, 0.43, false);
place_plain(0.31, 0.43, false);
place_plain(0.29, 0.43, true);
place_plain(0.27, 0.43, true);
place_plain(0.25, 0.43, true);
place_plain(0.23, 0.43, true);
place_plain(0.21, 0.43, true);
place_plain(0.19, 0.43, true);
place_plain(0.17, 0.43, false);
place_Beach(0.15, 0.43, false);
place_Beach(0.13, 0.43, true);
place_Beach(0.11, 0.43, false);
place_sea(0.09, 0.43, false);
place_sea(0.07, 0.43, true);
place_sea(0.05, 0.43, true);
place_sea(0.03, 0.43, true);
place_sea(0.01, 0.43, true);
rmBuildAllAreas();
rmSetStatusText("",0.19);

place_Mountains(0.99, 0.41, true);
place_Mountains(0.97, 0.41, true);
place_Mountains(0.95, 0.41, true);
place_Mountains(0.93, 0.41, false);
place_plain(0.91, 0.41, false);
place_plain(0.89, 0.41, true);
place_plain(0.87, 0.41, true);
place_plain(0.85, 0.41, true);
place_plain(0.83, 0.41, true);
place_plain(0.81, 0.41, true);
place_plain(0.79, 0.41, true);
place_plain(0.77, 0.41, true);
place_plain(0.75, 0.41, true);
place_plain(0.73, 0.41, true);
place_plain(0.71, 0.41, true);
place_plain(0.69, 0.41, true);
place_plain(0.67, 0.41, true);
place_plain(0.65, 0.41, true);
place_plain(0.63, 0.41, true);
place_plain(0.61, 0.41, true);
place_plain(0.59, 0.41, true);
place_plain(0.57, 0.41, true);
place_plain(0.55, 0.41, true);
place_plain(0.53, 0.41, true);
place_plain(0.51, 0.41, true);
place_plain(0.49, 0.41, true);
place_plain(0.47, 0.41, true);
place_plain(0.45, 0.41, true);
place_plain(0.43, 0.41, true);
place_plain(0.41, 0.41, true);
place_plain(0.39, 0.41, true);
place_plain(0.37, 0.41, false);
place_plain(0.35, 0.41, false);
place_plain(0.33, 0.41, false);
place_plain(0.31, 0.41, true);
place_plain(0.29, 0.41, true);
place_plain(0.27, 0.41, true);
place_plain(0.25, 0.41, true);
place_plain(0.23, 0.41, true);
place_plain(0.21, 0.41, true);
place_plain(0.19, 0.41, true);
place_plain(0.17, 0.41, false);
place_Beach(0.15, 0.41, false);
place_Beach(0.13, 0.41, true);
place_Beach(0.11, 0.41, false);
place_sea(0.09, 0.41, false);
place_sea(0.07, 0.41, true);
place_sea(0.05, 0.41, true);
place_sea(0.03, 0.41, true);
place_sea(0.01, 0.41, true);
rmBuildAllAreas();
rmSetStatusText("",0.195);

place_Mountains(0.99, 0.39, true);
place_Mountains(0.97, 0.39, true);
place_Mountains(0.95, 0.39, true);
place_Mountains(0.93, 0.39, false);
place_plain(0.91, 0.39, false);
place_plain(0.89, 0.39, true);
place_plain(0.87, 0.39, true);
place_plain(0.85, 0.39, true);
place_plain(0.83, 0.39, true);
place_plain(0.81, 0.39, true);
place_plain(0.79, 0.39, true);
place_plain(0.77, 0.39, true);
place_plain(0.75, 0.39, true);
place_plain(0.73, 0.39, true);
place_plain(0.71, 0.39, true);
place_plain(0.69, 0.39, true);
place_plain(0.67, 0.39, true);
place_plain(0.65, 0.39, true);
place_plain(0.63, 0.39, true);
place_plain(0.61, 0.39, true);
place_plain(0.59, 0.39, true);
place_plain(0.57, 0.39, true);
place_plain(0.55, 0.39, true);
place_plain(0.53, 0.39, true);
place_plain(0.51, 0.39, true);
place_plain(0.49, 0.39, true);
place_plain(0.47, 0.39, true);
place_plain(0.45, 0.39, true);
place_plain(0.43, 0.39, true);
place_plain(0.41, 0.39, true);
place_plain(0.39, 0.39, true);
place_plain(0.37, 0.39, true);
place_plain(0.35, 0.39, true);
place_plain(0.33, 0.39, true);
place_plain(0.31, 0.39, true);
place_plain(0.29, 0.39, true);
place_plain(0.27, 0.39, true);
place_plain(0.25, 0.39, true);
place_plain(0.23, 0.39, true);
place_plain(0.21, 0.39, true);
place_plain(0.19, 0.39, true);
place_plain(0.17, 0.39, false);
place_Beach(0.15, 0.39, false);
place_Beach(0.13, 0.39, true);
place_Beach(0.11, 0.39, false);
place_sea(0.09, 0.39, false);
place_sea(0.07, 0.39, true);
place_sea(0.05, 0.39, true);
place_sea(0.03, 0.39, true);
place_sea(0.01, 0.39, true);
rmBuildAllAreas();
rmSetStatusText("",0.2);

place_Mountains(0.99, 0.37, true);
place_Mountains(0.97, 0.37, true);
place_Mountains(0.95, 0.37, true);
place_Mountains(0.93, 0.37, false);
place_plain(0.91, 0.37, false);
place_plain(0.89, 0.37, true);
place_plain(0.87, 0.37, true);
place_plain(0.85, 0.37, true);
place_plain(0.83, 0.37, true);
place_plain(0.81, 0.37, true);
place_plain(0.79, 0.37, true);
place_plain(0.77, 0.37, true);
place_plain(0.75, 0.37, true);
place_plain(0.73, 0.37, true);
place_plain(0.71, 0.37, true);
place_plain(0.69, 0.37, true);
place_plain(0.67, 0.37, true);
place_plain(0.65, 0.37, true);
place_plain(0.63, 0.37, true);
place_plain(0.61, 0.37, true);
place_plain(0.59, 0.37, true);
place_plain(0.57, 0.37, true);
place_plain(0.55, 0.37, true);
place_plain(0.53, 0.37, true);
place_plain(0.51, 0.37, true);
place_plain(0.49, 0.37, true);
place_plain(0.47, 0.37, true);
place_plain(0.45, 0.37, true);
place_plain(0.43, 0.37, true);
place_plain(0.41, 0.37, true);
place_plain(0.39, 0.37, true);
place_plain(0.37, 0.37, true);
place_plain(0.35, 0.37, true);
place_plain(0.33, 0.37, true);
place_plain(0.31, 0.37, true);
place_plain(0.29, 0.37, true);
place_plain(0.27, 0.37, true);
place_plain(0.25, 0.37, true);
place_plain(0.23, 0.37, true);
place_plain(0.21, 0.37, true);
place_plain(0.19, 0.37, true);
place_plain(0.17, 0.37, false);
place_Beach(0.15, 0.37, false);
place_Beach(0.13, 0.37, true);
place_Beach(0.11, 0.37, false);
place_sea(0.09, 0.37, false);
place_sea(0.07, 0.37, true);
place_sea(0.05, 0.37, true);
place_sea(0.03, 0.37, true);
place_sea(0.01, 0.37, true);
rmBuildAllAreas();
rmSetStatusText("",0.205);

place_Mountains(0.99, 0.35, true);
place_Mountains(0.97, 0.35, true);
place_Mountains(0.95, 0.35, true);
place_Mountains(0.93, 0.35, true);
place_Mountains(0.91, 0.35, false);
place_plain(0.89, 0.35, false);
place_plain(0.87, 0.35, false);
place_plain(0.85, 0.35, true);
place_plain(0.83, 0.35, true);
place_plain(0.81, 0.35, true);
place_plain(0.79, 0.35, true);
place_plain(0.77, 0.35, true);
place_plain(0.75, 0.35, true);
place_plain(0.73, 0.35, true);
place_plain(0.71, 0.35, true);
place_plain(0.69, 0.35, true);
place_plain(0.67, 0.35, true);
place_plain(0.65, 0.35, true);
place_plain(0.63, 0.35, true);
place_plain(0.61, 0.35, true);
place_plain(0.59, 0.35, true);
place_plain(0.57, 0.35, true);
place_plain(0.55, 0.35, true);
place_plain(0.53, 0.35, true);
place_plain(0.51, 0.35, true);
place_plain(0.49, 0.35, true);
place_plain(0.47, 0.35, true);
place_plain(0.45, 0.35, true);
place_plain(0.43, 0.35, true);
place_plain(0.41, 0.35, true);
place_plain(0.39, 0.35, true);
place_plain(0.37, 0.35, true);
place_plain(0.35, 0.35, true);
place_plain(0.33, 0.35, true);
place_plain(0.31, 0.35, true);
place_plain(0.29, 0.35, true);
place_plain(0.27, 0.35, true);
place_plain(0.25, 0.35, true);
place_plain(0.23, 0.35, true);
place_plain(0.21, 0.35, true);
place_plain(0.19, 0.35, true);
place_plain(0.17, 0.35, false);
place_Beach(0.15, 0.35, false);
place_Beach(0.13, 0.35, true);
place_Beach(0.11, 0.35, false);
place_sea(0.09, 0.35, false);
place_sea(0.07, 0.35, true);
place_sea(0.05, 0.35, true);
place_sea(0.03, 0.35, true);
place_sea(0.01, 0.35, true);
rmBuildAllAreas();
rmSetStatusText("",0.21);

place_Mountains(0.99, 0.33, true);
place_Mountains(0.97, 0.33, true);
place_Mountains(0.95, 0.33, true);
place_Mountains(0.93, 0.33, true);
place_Mountains(0.91, 0.33, true);
place_Mountains(0.89, 0.33, false);
place_Mountains(0.87, 0.33, false);
place_plain(0.85, 0.33, false);
place_plain(0.83, 0.33, true);
place_plain(0.81, 0.33, true);
place_plain(0.79, 0.33, true);
place_plain(0.77, 0.33, true);
place_plain(0.75, 0.33, true);
place_plain(0.73, 0.33, true);
place_plain(0.71, 0.33, true);
place_plain(0.69, 0.33, true);
place_plain(0.67, 0.33, true);
place_plain(0.65, 0.33, true);
place_plain(0.63, 0.33, true);
place_plain(0.61, 0.33, true);
place_plain(0.59, 0.33, true);
place_plain(0.57, 0.33, true);
place_plain(0.55, 0.33, true);
place_plain(0.53, 0.33, true);
place_plain(0.51, 0.33, true);
place_plain(0.49, 0.33, true);
place_plain(0.47, 0.33, true);
place_plain(0.45, 0.33, true);
place_plain(0.43, 0.33, true);
place_plain(0.41, 0.33, true);
place_plain(0.39, 0.33, true);
place_plain(0.37, 0.33, true);
place_plain(0.35, 0.33, true);
place_plain(0.33, 0.33, true);
place_plain(0.31, 0.33, true);
place_plain(0.29, 0.33, true);
place_plain(0.27, 0.33, true);
place_plain(0.25, 0.33, true);
place_plain(0.23, 0.33, true);
place_plain(0.21, 0.33, true);
place_plain(0.19, 0.33, true);
place_plain(0.17, 0.33, false);
place_Beach(0.15, 0.33, false);
place_Beach(0.13, 0.33, true);
place_Beach(0.11, 0.33, false);
place_sea(0.09, 0.33, false);
place_sea(0.07, 0.33, true);
place_sea(0.05, 0.33, true);
place_sea(0.03, 0.33, true);
place_sea(0.01, 0.33, true);
rmBuildAllAreas();
rmSetStatusText("",0.215);

place_Mountains(0.99, 0.31, true);
place_Mountains(0.97, 0.31, true);
place_Mountains(0.95, 0.31, true);
place_Mountains(0.93, 0.31, true);
place_Mountains(0.91, 0.31, true);
place_Mountains(0.89, 0.31, true);
place_Mountains(0.87, 0.31, true);
place_Mountains(0.85, 0.31, false);
place_plain(0.83, 0.31, false);
place_plain(0.81, 0.31, true);
place_plain(0.79, 0.31, true);
place_plain(0.77, 0.31, true);
place_plain(0.75, 0.31, true);
place_plain(0.73, 0.31, true);
place_plain(0.71, 0.31, true);
place_plain(0.69, 0.31, true);
place_plain(0.67, 0.31, true);
place_plain(0.65, 0.31, true);
place_plain(0.63, 0.31, true);
place_plain(0.61, 0.31, true);
place_plain(0.59, 0.31, true);
place_plain(0.57, 0.31, true);
place_plain(0.55, 0.31, true);
place_plain(0.53, 0.31, true);
place_plain(0.51, 0.31, true);
place_plain(0.49, 0.31, true);
place_plain(0.47, 0.31, true);
place_plain(0.45, 0.31, true);
place_plain(0.43, 0.31, true);
place_plain(0.41, 0.31, true);
place_plain(0.39, 0.31, true);
place_plain(0.37, 0.31, true);
place_plain(0.35, 0.31, true);
place_plain(0.33, 0.31, true);
place_plain(0.31, 0.31, true);
place_plain(0.29, 0.31, true);
place_plain(0.27, 0.31, true);
place_plain(0.25, 0.31, true);
place_plain(0.23, 0.31, true);
place_plain(0.21, 0.31, true);
place_plain(0.19, 0.31, true);
place_plain(0.17, 0.31, false);
place_Beach(0.15, 0.31, false);
place_Beach(0.13, 0.31, true);
place_Beach(0.11, 0.31, false);
place_sea(0.09, 0.31, false);
place_sea(0.07, 0.31, true);
place_sea(0.05, 0.31, true);
place_sea(0.03, 0.31, true);
place_sea(0.01, 0.31, true);
rmBuildAllAreas();
rmSetStatusText("",0.22);

place_Mountains(0.99, 0.29, true);
place_Mountains(0.97, 0.29, true);
place_Mountains(0.95, 0.29, true);
place_Mountains(0.93, 0.29, true);
place_Mountains(0.91, 0.29, true);
place_Mountains(0.89, 0.29, true);
place_Mountains(0.87, 0.29, true);
place_Mountains(0.85, 0.29, true);
place_Mountains(0.83, 0.29, false);
place_plain(0.81, 0.29, false);
place_plain(0.79, 0.29, false);
place_plain(0.77, 0.29, true);
place_plain(0.75, 0.29, true);
place_plain(0.73, 0.29, true);
place_plain(0.71, 0.29, true);
place_plain(0.69, 0.29, true);
place_plain(0.67, 0.29, true);
place_plain(0.65, 0.29, true);
place_plain(0.63, 0.29, true);
place_plain(0.61, 0.29, true);
place_plain(0.59, 0.29, true);
place_plain(0.57, 0.29, true);
place_plain(0.55, 0.29, true);
place_plain(0.53, 0.29, true);
place_plain(0.51, 0.29, true);
place_plain(0.49, 0.29, true);
place_plain(0.47, 0.29, true);
place_plain(0.45, 0.29, true);
place_plain(0.43, 0.29, true);
place_plain(0.41, 0.29, true);
place_plain(0.39, 0.29, true);
place_plain(0.37, 0.29, true);
place_plain(0.35, 0.29, true);
place_plain(0.33, 0.29, true);
place_plain(0.31, 0.29, true);
place_plain(0.29, 0.29, true);
place_plain(0.27, 0.29, true);
place_plain(0.25, 0.29, true);
place_plain(0.23, 0.29, true);
place_plain(0.21, 0.29, true);
place_plain(0.19, 0.29, true);
place_plain(0.17, 0.29, false);
place_Beach(0.15, 0.29, false);
place_Beach(0.13, 0.29, true);
place_Beach(0.11, 0.29, false);
place_sea(0.09, 0.29, false);
place_sea(0.07, 0.29, true);
place_sea(0.05, 0.29, true);
place_sea(0.03, 0.29, true);
place_sea(0.01, 0.29, true);
rmBuildAllAreas();
rmSetStatusText("",0.225);

place_Mountains(0.99, 0.27, true);
place_Mountains(0.97, 0.27, true);
place_Mountains(0.95, 0.27, true);
place_Mountains(0.93, 0.27, true);
place_Mountains(0.91, 0.27, true);
place_Mountains(0.89, 0.27, true);
place_Mountains(0.87, 0.27, true);
place_Mountains(0.85, 0.27, true);
place_Mountains(0.83, 0.27, true);
place_Mountains(0.81, 0.27, false);
place_Mountains(0.79, 0.27, false);
place_plain(0.77, 0.27, false);
place_plain(0.75, 0.27, true);
place_plain(0.73, 0.27, true);
place_plain(0.71, 0.27, true);
place_plain(0.69, 0.27, true);
place_plain(0.67, 0.27, true);
place_plain(0.65, 0.27, true);
place_plain(0.63, 0.27, true);
place_plain(0.61, 0.27, true);
place_plain(0.59, 0.27, true);
place_plain(0.57, 0.27, true);
place_plain(0.55, 0.27, true);
place_plain(0.53, 0.27, true);
place_plain(0.51, 0.27, true);
place_plain(0.49, 0.27, true);
place_plain(0.47, 0.27, true);
place_plain(0.45, 0.27, true);
place_plain(0.43, 0.27, true);
place_plain(0.41, 0.27, true);
place_plain(0.39, 0.27, true);
place_plain(0.37, 0.27, true);
place_plain(0.35, 0.27, true);
place_plain(0.33, 0.27, true);
place_plain(0.31, 0.27, true);
place_plain(0.29, 0.27, true);
place_plain(0.27, 0.27, true);
place_plain(0.25, 0.27, true);
place_plain(0.23, 0.27, true);
place_plain(0.21, 0.27, true);
place_plain(0.19, 0.27, true);
place_plain(0.17, 0.27, false);
place_Beach(0.15, 0.27, false);
place_Beach(0.13, 0.27, true);
place_Beach(0.11, 0.27, false);
place_sea(0.09, 0.27, false);
place_sea(0.07, 0.27, true);
place_sea(0.05, 0.27, true);
place_sea(0.03, 0.27, true);
place_sea(0.01, 0.27, true);
rmBuildAllAreas();
rmSetStatusText("",0.23);

place_Mountains(0.99, 0.25, true);
place_Mountains(0.97, 0.25, true);
place_Mountains(0.95, 0.25, true);
place_Mountains(0.93, 0.25, true);
place_Mountains(0.91, 0.25, true);
place_Mountains(0.89, 0.25, true);
place_Mountains(0.87, 0.25, true);
place_Mountains(0.85, 0.25, true);
place_Mountains(0.83, 0.25, true);
place_Mountains(0.81, 0.25, true);
place_Mountains(0.79, 0.25, false);
place_plain(0.77, 0.25, false);
place_plain(0.75, 0.25, true);
place_plain(0.73, 0.25, true);
place_plain(0.71, 0.25, true);
place_plain(0.69, 0.25, true);
place_plain(0.67, 0.25, true);
place_plain(0.65, 0.25, true);
place_plain(0.63, 0.25, true);
place_plain(0.61, 0.25, true);
place_plain(0.59, 0.25, true);
place_plain(0.57, 0.25, true);
place_plain(0.55, 0.25, true);
place_plain(0.53, 0.25, true);
place_plain(0.51, 0.25, true);
place_plain(0.49, 0.25, true);
place_plain(0.47, 0.25, true);
place_plain(0.45, 0.25, true);
place_plain(0.43, 0.25, true);
place_plain(0.41, 0.25, true);
place_plain(0.39, 0.25, true);
place_plain(0.37, 0.25, true);
place_plain(0.35, 0.25, true);
place_plain(0.33, 0.25, true);
place_plain(0.31, 0.25, true);
place_plain(0.29, 0.25, true);
place_plain(0.27, 0.25, true);
place_plain(0.25, 0.25, true);
place_plain(0.23, 0.25, true);
place_plain(0.21, 0.25, true);
place_plain(0.19, 0.25, true);
place_plain(0.17, 0.25, false);
place_Beach(0.15, 0.25, false);
place_Beach(0.13, 0.25, true);
place_Beach(0.11, 0.25, false);
place_sea(0.09, 0.25, false);
place_sea(0.07, 0.25, true);
place_sea(0.05, 0.25, true);
place_sea(0.03, 0.25, true);
place_sea(0.01, 0.25, true);
rmBuildAllAreas();
rmSetStatusText("",0.235);

place_Mountains(0.99, 0.23, true);
place_Mountains(0.97, 0.23, true);
place_Mountains(0.95, 0.23, true);
place_Mountains(0.93, 0.23, true);
place_Mountains(0.91, 0.23, true);
place_Mountains(0.89, 0.23, true);
place_Mountains(0.87, 0.23, true);
place_Mountains(0.85, 0.23, true);
place_Mountains(0.83, 0.23, true);
place_Mountains(0.81, 0.23, true);
place_Mountains(0.79, 0.23, true);
place_Mountains(0.77, 0.23, false);
place_plain(0.75, 0.23, false);
place_plain(0.73, 0.23, true);
place_plain(0.71, 0.23, true);
place_plain(0.69, 0.23, true);
place_plain(0.67, 0.23, true);
place_plain(0.65, 0.23, true);
place_plain(0.63, 0.23, true);
place_plain(0.61, 0.23, true);
place_plain(0.59, 0.23, true);
place_plain(0.57, 0.23, true);
place_plain(0.55, 0.23, true);
place_plain(0.53, 0.23, true);
place_plain(0.51, 0.23, true);
place_plain(0.49, 0.23, true);
place_plain(0.47, 0.23, true);
place_plain(0.45, 0.23, true);
place_plain(0.43, 0.23, true);
place_plain(0.41, 0.23, true);
place_plain(0.39, 0.23, true);
place_plain(0.37, 0.23, true);
place_plain(0.35, 0.23, true);
place_plain(0.33, 0.23, true);
place_plain(0.31, 0.23, true);
place_plain(0.29, 0.23, true);
place_plain(0.27, 0.23, true);
place_plain(0.25, 0.23, true);
place_plain(0.23, 0.23, true);
place_plain(0.21, 0.23, true);
place_plain(0.19, 0.23, true);
place_plain(0.17, 0.23, false);
place_Beach(0.15, 0.23, false);
place_Beach(0.13, 0.23, true);
place_Beach(0.11, 0.23, false);
place_sea(0.09, 0.23, false);
place_sea(0.07, 0.23, true);
place_sea(0.05, 0.23, true);
place_sea(0.03, 0.23, true);
place_sea(0.01, 0.23, true);
rmBuildAllAreas();
rmSetStatusText("",0.24);

place_Mountains(0.99, 0.21, true);
place_Mountains(0.97, 0.21, true);
place_Mountains(0.95, 0.21, true);
place_Mountains(0.93, 0.21, true);
place_Mountains(0.91, 0.21, true);
place_Mountains(0.89, 0.21, true);
place_Mountains(0.87, 0.21, true);
place_Mountains(0.85, 0.21, true);
place_Mountains(0.83, 0.21, true);
place_Mountains(0.81, 0.21, true);
place_Mountains(0.79, 0.21, true);
place_Mountains(0.77, 0.21, true);
place_Mountains(0.75, 0.21, false);
place_plain(0.73, 0.21, false);
place_plain(0.71, 0.21, true);
place_plain(0.69, 0.21, true);
place_plain(0.67, 0.21, true);
place_plain(0.65, 0.21, true);
place_plain(0.63, 0.21, true);
place_plain(0.61, 0.21, true);
place_plain(0.59, 0.21, true);
place_plain(0.57, 0.21, true);
place_plain(0.55, 0.21, true);
place_plain(0.53, 0.21, true);
place_plain(0.51, 0.21, true);
place_plain(0.49, 0.21, true);
place_plain(0.47, 0.21, true);
place_plain(0.45, 0.21, true);
place_plain(0.43, 0.21, true);
place_plain(0.41, 0.21, true);
place_plain(0.39, 0.21, true);
place_plain(0.37, 0.21, true);
place_plain(0.35, 0.21, true);
place_plain(0.33, 0.21, true);
place_plain(0.31, 0.21, true);
place_plain(0.29, 0.21, true);
place_plain(0.27, 0.21, true);
place_plain(0.25, 0.21, true);
place_plain(0.23, 0.21, true);
place_plain(0.21, 0.21, true);
place_plain(0.19, 0.21, true);
place_plain(0.17, 0.21, false);
place_Beach(0.15, 0.21, false);
place_Beach(0.13, 0.21, true);
place_Beach(0.11, 0.21, false);
place_sea(0.09, 0.21, false);
place_sea(0.07, 0.21, true);
place_sea(0.05, 0.21, true);
place_sea(0.03, 0.21, true);
place_sea(0.01, 0.21, true);
rmBuildAllAreas();
rmSetStatusText("",0.245);

place_Mountains(0.99, 0.19, true);
place_Mountains(0.97, 0.19, true);
place_Mountains(0.95, 0.19, true);
place_Mountains(0.93, 0.19, true);
place_Mountains(0.91, 0.19, true);
place_Mountains(0.89, 0.19, true);
place_Mountains(0.87, 0.19, true);
place_Mountains(0.85, 0.19, true);
place_Mountains(0.83, 0.19, true);
place_Mountains(0.81, 0.19, true);
place_Mountains(0.79, 0.19, true);
place_Mountains(0.77, 0.19, true);
place_Mountains(0.75, 0.19, false);
place_plain(0.73, 0.19, false);
place_plain(0.71, 0.19, true);
place_plain(0.69, 0.19, true);
place_plain(0.67, 0.19, true);
place_plain(0.65, 0.19, true);
place_plain(0.63, 0.19, true);
place_plain(0.61, 0.19, true);
place_plain(0.59, 0.19, true);
place_plain(0.57, 0.19, true);
place_plain(0.55, 0.19, true);
place_plain(0.53, 0.19, true);
place_plain(0.51, 0.19, true);
place_plain(0.49, 0.19, true);
place_plain(0.47, 0.19, true);
place_plain(0.45, 0.19, true);
place_plain(0.43, 0.19, true);
place_plain(0.41, 0.19, true);
place_plain(0.39, 0.19, true);
place_plain(0.37, 0.19, true);
place_plain(0.35, 0.19, true);
place_plain(0.33, 0.19, true);
place_plain(0.31, 0.19, true);
place_plain(0.29, 0.19, true);
place_plain(0.27, 0.19, true);
place_plain(0.25, 0.19, true);
place_plain(0.23, 0.19, true);
place_plain(0.21, 0.19, true);
place_plain(0.19, 0.19, true);
place_plain(0.17, 0.19, false);
place_Beach(0.15, 0.19, false);
place_Beach(0.13, 0.19, true);
place_Beach(0.11, 0.19, false);
place_sea(0.09, 0.19, false);
place_sea(0.07, 0.19, true);
place_sea(0.05, 0.19, true);
place_sea(0.03, 0.19, true);
place_sea(0.01, 0.19, true);
rmBuildAllAreas();
rmSetStatusText("",0.25);

place_Mountains(0.99, 0.17, true);
place_Mountains(0.97, 0.17, true);
place_Mountains(0.95, 0.17, true);
place_Mountains(0.93, 0.17, true);
place_Mountains(0.91, 0.17, true);
place_Mountains(0.89, 0.17, true);
place_Mountains(0.87, 0.17, true);
place_Mountains(0.85, 0.17, true);
place_Mountains(0.83, 0.17, true);
place_Mountains(0.81, 0.17, true);
place_Mountains(0.79, 0.17, true);
place_Mountains(0.77, 0.17, true);
place_Mountains(0.75, 0.17, true);
place_Mountains(0.73, 0.17, false);
place_plain(0.71, 0.17, false);
place_plain(0.69, 0.17, true);
place_plain(0.67, 0.17, true);
place_plain(0.65, 0.17, true);
place_plain(0.63, 0.17, true);
place_plain(0.61, 0.17, true);
place_plain(0.59, 0.17, true);
place_plain(0.57, 0.17, true);
place_plain(0.55, 0.17, true);
place_plain(0.53, 0.17, true);
place_plain(0.51, 0.17, true);
place_plain(0.49, 0.17, true);
place_plain(0.47, 0.17, true);
place_plain(0.45, 0.17, true);
place_plain(0.43, 0.17, true);
place_plain(0.41, 0.17, true);
place_plain(0.39, 0.17, true);
place_plain(0.37, 0.17, true);
place_plain(0.35, 0.17, true);
place_plain(0.33, 0.17, true);
place_plain(0.31, 0.17, true);
place_plain(0.29, 0.17, true);
place_plain(0.27, 0.17, true);
place_plain(0.25, 0.17, true);
place_plain(0.23, 0.17, true);
place_plain(0.21, 0.17, true);
place_plain(0.19, 0.17, true);
place_plain(0.17, 0.17, false);
place_Beach(0.15, 0.17, false);
place_Beach(0.13, 0.17, true);
place_Beach(0.11, 0.17, false);
place_sea(0.09, 0.17, false);
place_sea(0.07, 0.17, true);
place_sea(0.05, 0.17, true);
place_sea(0.03, 0.17, true);
place_sea(0.01, 0.17, true);
rmBuildAllAreas();
rmSetStatusText("",0.255);

place_Mountains(0.99, 0.15, true);
place_Mountains(0.97, 0.15, true);
place_Mountains(0.95, 0.15, true);
place_Mountains(0.93, 0.15, true);
place_Mountains(0.91, 0.15, true);
place_Mountains(0.89, 0.15, false);
place_Mountains(0.87, 0.15, false);
place_Mountains(0.85, 0.15, false);
place_Mountains(0.83, 0.15, true);
place_Mountains(0.81, 0.15, true);
place_Mountains(0.79, 0.15, true);
place_Mountains(0.77, 0.15, true);
place_Mountains(0.75, 0.15, true);
place_Mountains(0.73, 0.15, true);
place_Mountains(0.71, 0.15, false);
place_plain(0.69, 0.15, false);
place_plain(0.67, 0.15, true);
place_plain(0.65, 0.15, true);
place_plain(0.63, 0.15, true);
place_plain(0.61, 0.15, true);
place_plain(0.59, 0.15, true);
place_plain(0.57, 0.15, true);
place_plain(0.55, 0.15, true);
place_plain(0.53, 0.15, true);
place_plain(0.51, 0.15, true);
place_plain(0.49, 0.15, true);
place_plain(0.47, 0.15, true);
place_plain(0.45, 0.15, true);
place_plain(0.43, 0.15, true);
place_plain(0.41, 0.15, true);
place_plain(0.39, 0.15, true);
place_plain(0.37, 0.15, true);
place_plain(0.35, 0.15, true);
place_plain(0.33, 0.15, true);
place_plain(0.31, 0.15, true);
place_plain(0.29, 0.15, true);
place_plain(0.27, 0.15, true);
place_plain(0.25, 0.15, true);
place_plain(0.23, 0.15, true);
place_plain(0.21, 0.15, true);
place_plain(0.19, 0.15, true);
place_plain(0.17, 0.15, false);
place_Beach(0.15, 0.15, false);
place_Beach(0.13, 0.15, true);
place_Beach(0.11, 0.15, false);
place_sea(0.09, 0.15, false);
place_sea(0.07, 0.15, true);
place_sea(0.05, 0.15, true);
place_sea(0.03, 0.15, true);
place_sea(0.01, 0.15, true);
rmBuildAllAreas();
rmSetStatusText("",0.26);

place_Mountains(0.99, 0.13, true);
place_Mountains(0.97, 0.13, true);
place_Mountains(0.95, 0.13, true);
place_Mountains(0.93, 0.13, true);
place_Mountains(0.91, 0.13, false);
place_settlement(0.89, 0.13, false);
place_settlement(0.87, 0.13, false);
place_settlement(0.85, 0.13, false);
place_Mountains(0.83, 0.13, false);
place_Mountains(0.81, 0.13, true);
place_Mountains(0.79, 0.13, true);
place_Mountains(0.77, 0.13, true);
place_Mountains(0.75, 0.13, true);
place_Mountains(0.73, 0.13, true);
place_Mountains(0.71, 0.13, true);
place_Mountains(0.69, 0.13, false);
place_plain(0.67, 0.13, false);
place_plain(0.65, 0.13, true);
place_plain(0.63, 0.13, true);
place_plain(0.61, 0.13, true);
place_plain(0.59, 0.13, true);
place_plain(0.57, 0.13, true);
place_plain(0.55, 0.13, false);
place_plain(0.53, 0.13, false);
place_plain(0.51, 0.13, false);
place_plain(0.49, 0.13, true);
place_plain(0.47, 0.13, true);
place_plain(0.45, 0.13, true);
place_plain(0.43, 0.13, true);
place_plain(0.41, 0.13, true);
place_plain(0.39, 0.13, true);
place_plain(0.37, 0.13, true);
place_plain(0.35, 0.13, true);
place_plain(0.33, 0.13, true);
place_plain(0.31, 0.13, true);
place_plain(0.29, 0.13, true);
place_plain(0.27, 0.13, true);
place_plain(0.25, 0.13, true);
place_plain(0.23, 0.13, true);
place_plain(0.21, 0.13, true);
place_plain(0.19, 0.13, true);
place_plain(0.17, 0.13, false);
place_Beach(0.15, 0.13, false);
place_Beach(0.13, 0.13, true);
place_Beach(0.11, 0.13, false);
place_sea(0.09, 0.13, false);
place_sea(0.07, 0.13, true);
place_sea(0.05, 0.13, true);
place_sea(0.03, 0.13, true);
place_sea(0.01, 0.13, true);
rmBuildAllAreas();
rmSetStatusText("",0.265);

place_Mountains(0.99, 0.11, true);
place_Mountains(0.97, 0.11, true);
place_Mountains(0.95, 0.11, true);
place_Mountains(0.93, 0.11, true);
place_Mountains(0.91, 0.11, false);
place_settlement(0.89, 0.11, false);
place_settlement(0.87, 0.11, true);
place_settlement(0.85, 0.11, false);
place_Mountains(0.83, 0.11, false);
place_Mountains(0.81, 0.11, true);
place_Mountains(0.79, 0.11, true);
place_Mountains(0.77, 0.11, true);
place_Mountains(0.75, 0.11, true);
place_Mountains(0.73, 0.11, true);
place_Mountains(0.71, 0.11, true);
place_Mountains(0.69, 0.11, false);
place_plain(0.67, 0.11, false);
place_plain(0.65, 0.11, true);
place_plain(0.63, 0.11, true);
place_plain(0.61, 0.11, true);
place_plain(0.59, 0.11, true);
place_plain(0.57, 0.11, false);
place_settlement(0.55, 0.11, false);
place_settlement(0.53, 0.11, false);
place_settlement(0.51, 0.11, false);
place_plain(0.49, 0.11, false);
place_plain(0.47, 0.11, true);
place_plain(0.45, 0.11, true);
place_plain(0.43, 0.11, true);
place_plain(0.41, 0.11, true);
place_plain(0.39, 0.11, false);
place_plain(0.37, 0.11, false);
place_plain(0.35, 0.11, false);
place_plain(0.33, 0.11, true);
place_plain(0.31, 0.11, true);
place_plain(0.29, 0.11, true);
place_plain(0.27, 0.11, true);
place_plain(0.25, 0.11, true);
place_plain(0.23, 0.11, true);
place_plain(0.21, 0.11, true);
place_plain(0.19, 0.11, true);
place_plain(0.17, 0.11, false);
place_Beach(0.15, 0.11, false);
place_Beach(0.13, 0.11, true);
place_Beach(0.11, 0.11, false);
place_sea(0.09, 0.11, false);
place_sea(0.07, 0.11, true);
place_sea(0.05, 0.11, true);
place_sea(0.03, 0.11, true);
place_sea(0.01, 0.11, true);
rmBuildAllAreas();
rmSetStatusText("",0.27);

place_Mountains(0.99, 0.09, true);
place_Mountains(0.97, 0.09, true);
place_Mountains(0.95, 0.09, true);
place_Mountains(0.93, 0.09, true);
place_Mountains(0.91, 0.09, false);
place_settlement(0.89, 0.09, false);
place_settlement(0.87, 0.09, false);
place_settlement(0.85, 0.09, false);
place_Mountains(0.83, 0.09, false);
place_Mountains(0.81, 0.09, true);
place_Mountains(0.79, 0.09, true);
place_Mountains(0.77, 0.09, true);
place_Mountains(0.75, 0.09, true);
place_Mountains(0.73, 0.09, true);
place_Mountains(0.71, 0.09, true);
place_Mountains(0.69, 0.09, false);
place_plain(0.67, 0.09, false);
place_plain(0.65, 0.09, true);
place_plain(0.63, 0.09, true);
place_plain(0.61, 0.09, true);
place_plain(0.59, 0.09, true);
place_plain(0.57, 0.09, false);
place_settlement(0.55, 0.09, false);
place_settlement(0.53, 0.09, true);
place_settlement(0.51, 0.09, false);
place_plain(0.49, 0.09, false);
place_plain(0.47, 0.09, true);
place_plain(0.45, 0.09, true);
place_plain(0.43, 0.09, true);
place_plain(0.41, 0.09, false);
place_settlement(0.39, 0.09, false);
place_settlement(0.37, 0.09, false);
place_settlement(0.35, 0.09, false);
place_plain(0.33, 0.09, false);
place_plain(0.31, 0.09, true);
place_plain(0.29, 0.09, true);
place_plain(0.27, 0.09, true);
place_plain(0.25, 0.09, true);
place_plain(0.23, 0.09, false);
place_plain(0.21, 0.09, false);
place_plain(0.19, 0.09, false);
place_plain(0.17, 0.09, false);
place_Beach(0.15, 0.09, false);
place_Beach(0.13, 0.09, true);
place_Beach(0.11, 0.09, false);
place_sea(0.09, 0.09, false);
place_sea(0.07, 0.09, true);
place_sea(0.05, 0.09, true);
place_sea(0.03, 0.09, true);
place_sea(0.01, 0.09, true);
rmBuildAllAreas();
rmSetStatusText("",0.275);

place_Mountains(0.99, 0.07, true);
place_Mountains(0.97, 0.07, true);
place_Mountains(0.95, 0.07, true);
place_Mountains(0.93, 0.07, true);
place_Mountains(0.91, 0.07, true);
place_Mountains(0.89, 0.07, false);
place_Mountains(0.87, 0.07, false);
place_Mountains(0.85, 0.07, false);
place_Mountains(0.83, 0.07, true);
place_Mountains(0.81, 0.07, true);
place_Mountains(0.79, 0.07, true);
place_Mountains(0.77, 0.07, true);
place_Mountains(0.75, 0.07, true);
place_Mountains(0.73, 0.07, true);
place_Mountains(0.71, 0.07, true);
place_Mountains(0.69, 0.07, true);
place_Mountains(0.67, 0.07, false);
place_plain(0.65, 0.07, false);
place_plain(0.63, 0.07, true);
place_plain(0.61, 0.07, true);
place_plain(0.59, 0.07, true);
place_plain(0.57, 0.07, false);
place_settlement(0.55, 0.07, false);
place_settlement(0.53, 0.07, false);
place_settlement(0.51, 0.07, false);
place_plain(0.49, 0.07, false);
place_plain(0.47, 0.07, true);
place_plain(0.45, 0.07, true);
place_plain(0.43, 0.07, true);
place_plain(0.41, 0.07, false);
place_settlement(0.39, 0.07, false);
place_settlement(0.37, 0.07, true);
place_settlement(0.35, 0.07, false);
place_plain(0.33, 0.07, false);
place_plain(0.31, 0.07, true);
place_plain(0.29, 0.07, true);
place_plain(0.27, 0.07, true);
place_plain(0.25, 0.07, false);
place_settlement(0.23, 0.07, false);
place_settlement(0.21, 0.07, false);
place_settlement(0.19, 0.07, false);
place_plain(0.17, 0.07, false);
place_Beach(0.15, 0.07, false);
place_Beach(0.13, 0.07, true);
place_Beach(0.11, 0.07, false);
place_sea(0.09, 0.07, false);
place_sea(0.07, 0.07, true);
place_sea(0.05, 0.07, true);
place_sea(0.03, 0.07, true);
place_sea(0.01, 0.07, true);
rmBuildAllAreas();
rmSetStatusText("",0.28);

place_Mountains(0.99, 0.05, true);
place_Mountains(0.97, 0.05, true);
place_Mountains(0.95, 0.05, true);
place_Mountains(0.93, 0.05, true);
place_Mountains(0.91, 0.05, true);
place_Mountains(0.89, 0.05, true);
place_Mountains(0.87, 0.05, true);
place_Mountains(0.85, 0.05, true);
place_Mountains(0.83, 0.05, true);
place_Mountains(0.81, 0.05, true);
place_Mountains(0.79, 0.05, true);
place_Mountains(0.77, 0.05, true);
place_Mountains(0.75, 0.05, true);
place_Mountains(0.73, 0.05, true);
place_Mountains(0.71, 0.05, true);
place_Mountains(0.69, 0.05, true);
place_Mountains(0.67, 0.05, true);
place_Mountains(0.65, 0.05, false);
place_plain(0.63, 0.05, false);
place_plain(0.61, 0.05, true);
place_plain(0.59, 0.05, true);
place_plain(0.57, 0.05, true);
place_plain(0.55, 0.05, false);
place_plain(0.53, 0.05, false);
place_plain(0.51, 0.05, false);
place_plain(0.49, 0.05, true);
place_plain(0.47, 0.05, true);
place_plain(0.45, 0.05, true);
place_plain(0.43, 0.05, true);
place_plain(0.41, 0.05, false);
place_settlement(0.39, 0.05, false);
place_settlement(0.37, 0.05, false);
place_settlement(0.35, 0.05, false);
place_plain(0.33, 0.05, false);
place_plain(0.31, 0.05, true);
place_plain(0.29, 0.05, true);
place_plain(0.27, 0.05, true);
place_plain(0.25, 0.05, false);
place_settlement(0.23, 0.05, false);
place_settlement(0.21, 0.05, true);
place_settlement(0.19, 0.05, false);
place_plain(0.17, 0.05, false);
place_Beach(0.15, 0.05, false);
place_Beach(0.13, 0.05, true);
place_Beach(0.11, 0.05, false);
place_sea(0.09, 0.05, false);
place_sea(0.07, 0.05, true);
place_sea(0.05, 0.05, true);
place_sea(0.03, 0.05, true);
place_sea(0.01, 0.05, true);
rmBuildAllAreas();
rmSetStatusText("",0.285);

place_Mountains(0.99, 0.03, true);
place_Mountains(0.97, 0.03, true);
place_Mountains(0.95, 0.03, true);
place_Mountains(0.93, 0.03, true);
place_Mountains(0.91, 0.03, true);
place_Mountains(0.89, 0.03, true);
place_Mountains(0.87, 0.03, true);
place_Mountains(0.85, 0.03, true);
place_Mountains(0.83, 0.03, true);
place_Mountains(0.81, 0.03, true);
place_Mountains(0.79, 0.03, true);
place_Mountains(0.77, 0.03, true);
place_Mountains(0.75, 0.03, true);
place_Mountains(0.73, 0.03, true);
place_Mountains(0.71, 0.03, true);
place_Mountains(0.69, 0.03, true);
place_Mountains(0.67, 0.03, true);
place_Mountains(0.65, 0.03, false);
place_plain(0.63, 0.03, false);
place_plain(0.61, 0.03, true);
place_plain(0.59, 0.03, true);
place_plain(0.57, 0.03, true);
place_plain(0.55, 0.03, true);
place_plain(0.53, 0.03, true);
place_plain(0.51, 0.03, true);
place_plain(0.49, 0.03, true);
place_plain(0.47, 0.03, true);
place_plain(0.45, 0.03, true);
place_plain(0.43, 0.03, true);
place_plain(0.41, 0.03, true);
place_plain(0.39, 0.03, false);
place_plain(0.37, 0.03, false);
place_plain(0.35, 0.03, false);
place_plain(0.33, 0.03, true);
place_plain(0.31, 0.03, true);
place_plain(0.29, 0.03, true);
place_plain(0.27, 0.03, true);
place_plain(0.25, 0.03, false);
place_settlement(0.23, 0.03, false);
place_settlement(0.21, 0.03, false);
place_settlement(0.19, 0.03, false);
place_plain(0.17, 0.03, false);
place_Beach(0.15, 0.03, false);
place_Beach(0.13, 0.03, true);
place_Beach(0.11, 0.03, false);
place_sea(0.09, 0.03, false);
place_sea(0.07, 0.03, true);
place_sea(0.05, 0.03, true);
place_sea(0.03, 0.03, true);
place_sea(0.01, 0.03, true);
rmBuildAllAreas();
rmSetStatusText("",0.29);

place_Mountains(0.99, 0.01, true);
place_Mountains(0.97, 0.01, true);
place_Mountains(0.95, 0.01, true);
place_Mountains(0.93, 0.01, true);
place_Mountains(0.91, 0.01, true);
place_Mountains(0.89, 0.01, true);
place_Mountains(0.87, 0.01, true);
place_Mountains(0.85, 0.01, true);
place_Mountains(0.83, 0.01, true);
place_Mountains(0.81, 0.01, true);
place_Mountains(0.79, 0.01, true);
place_Mountains(0.77, 0.01, true);
place_Mountains(0.75, 0.01, true);
place_Mountains(0.73, 0.01, true);
place_Mountains(0.71, 0.01, true);
place_Mountains(0.69, 0.01, true);
place_Mountains(0.67, 0.01, true);
place_Mountains(0.65, 0.01, false);
place_plain(0.63, 0.01, false);
place_plain(0.61, 0.01, true);
place_plain(0.59, 0.01, true);
place_plain(0.57, 0.01, true);
place_plain(0.55, 0.01, true);
place_plain(0.53, 0.01, true);
place_plain(0.51, 0.01, true);
place_plain(0.49, 0.01, true);
place_plain(0.47, 0.01, true);
place_plain(0.45, 0.01, true);
place_plain(0.43, 0.01, true);
place_plain(0.41, 0.01, true);
place_plain(0.39, 0.01, true);
place_plain(0.37, 0.01, true);
place_plain(0.35, 0.01, true);
place_plain(0.33, 0.01, true);
place_plain(0.31, 0.01, true);
place_plain(0.29, 0.01, true);
place_plain(0.27, 0.01, true);
place_plain(0.25, 0.01, true);
place_plain(0.23, 0.01, false);
place_plain(0.21, 0.01, false);
place_plain(0.19, 0.01, false);
place_plain(0.17, 0.01, false);
place_Beach(0.15, 0.01, false);
place_Beach(0.13, 0.01, true);
place_Beach(0.11, 0.01, false);
place_sea(0.09, 0.01, false);
place_sea(0.07, 0.01, true);
place_sea(0.05, 0.01, true);
place_sea(0.03, 0.01, true);
place_sea(0.01, 0.01, true);
rmBuildAllAreas();
rmSetStatusText("",0.295);


rmPlacePlayersLine(0.01, 0.01, 0.01, 0.99, 0.001);
for(i=1; <cNumberPlayers) {
id = rmCreateArea("player_"+i);
rmSetAreaTerrainType(id, "SandA");
rmSetAreaBaseHeight(id, 0.5);
rmSetAreaHeightBlend(id, 1);
rmSetAreaCoherence(id, 0.99);
rmSetAreaSize(id, rmAreaTilesToFraction(65), rmAreaTilesToFraction(65));
rmSetAreaLocPlayer(id, i);
rmAddAreaToClass(id, classPlayer);
rmBuildArea(id);
j = rmCreateObjectDef("player_"+i);
rmAddObjectDefItem(j, "Camera Start", 1, 0);
if(rmGetPlayerCulture(i)==cCultureGreek) {
rmAddObjectDefItem(j, "Villager Greek", 8, 10);
rmAddObjectDefItem(j, "Scout", 1, 10);
rmAddObjectDefItem(j, "Transport Ship Greek", 1, 20);
rmAddPlayerResource(i,"Wood", 300);
rmAddPlayerResource(i,"Gold", 300);
rmAddPlayerResource(i,"Food", 50);
}
else if(rmGetPlayerCulture(i)==cCultureEgyptian) {
rmAddObjectDefItem(j, "Villager Egyptian", 7, 10);
rmAddObjectDefItem(j, "Priest", 1, 10);
rmAddObjectDefItem(j, "Pharaoh", 1, 10);
if(rmGetPlayerCiv(i)==cCivSet) rmAddObjectDefItem(j, "Hyena of Set", 1, 10);
rmAddObjectDefItem(j, "Transport Ship Egyptian", 1, 20);
rmAddPlayerResource(i,"Gold", 400);
rmAddPlayerResource(i,"Food", 50);
}
else if(rmGetPlayerCiv(i)==cCivThor) {
rmAddObjectDefItem(j, "Dwarf", 6, 10);
rmAddObjectDefItem(j, "Ox Cart", 1, 10);
rmAddObjectDefItem(j, "Ulfsark", 3, 10);
rmAddObjectDefItem(j, "Transport Ship Norse", 1, 20);
rmAddPlayerResource(i,"Wood", 300);
rmAddPlayerResource(i,"Gold", 300);
rmAddPlayerResource(i,"Food", 50);
}
else {
rmAddObjectDefItem(j, "Villager Norse", 6, 10);
rmAddObjectDefItem(j, "Ox Cart", 1, 10);
rmAddObjectDefItem(j, "Ulfsark", 3, 10);
rmAddObjectDefItem(j, "Transport Ship Norse", 1, 20);
rmAddPlayerResource(i,"Wood", 350);
rmAddPlayerResource(i,"Gold", 300);
rmAddPlayerResource(i,"Food", 50);
}
rmSetObjectDefMaxDistance(j, 0);
rmSetObjectDefMinDistance(j, 0);
rmPlaceObjectDefAtLoc(j, i, rmPlayerLocXFraction(i), rmPlayerLocZFraction(i));
}

int cnsA_Beach_sand_0 = rmCreateClassDistanceConstraint("cns"+guid(), class_Beach_sand, 7);
f = rmRandFloat(sizeX/40000*sizeZ*0.42, sizeX/40000*sizeZ*0.48);
for(i=0; <=f+1) {
id = rmCreateArea("area_Beach_sand_"+guid());
rmSetAreaCoherence(id, 0.5);
rmSetAreaSize(id, rmAreaTilesToFraction(40), rmAreaTilesToFraction(60));
rmSetAreaHeightBlend(id, 1);
rmSetAreaBaseHeight(id, rmRandFloat(0.4, 0.6));
k = 0;
if(k==0) {
rmSetAreaTerrainType(id, "ShorelineAtlanticA");
}
rmAddAreaToClass(id, class_Beach);
rmAddAreaToClass(id, class_Beach_sand);
rmAddAreaConstraint(id, avoid_Mountains);
rmAddAreaConstraint(id, avoid_plain);
rmAddAreaConstraint(id, avoid_sea);
rmAddAreaConstraint(id, avoid_settlement);
rmAddAreaConstraint(id, cnsNonClassed);
rmAddAreaConstraint(id, cnsPlayers);
rmAddAreaConstraint(id, cnsA_Beach_sand_0);
rmSetAreaWarnFailure(id, false);
rmBuildArea(id);
}

rmSetStatusText("",0.3);

int cnsA_Mountains_snow_0 = rmCreateClassDistanceConstraint("cns"+guid(), class_Mountains_snow, 10);
f = rmRandFloat(sizeX/40000*sizeZ*2.104, sizeX/40000*sizeZ*2.5248);
for(i=0; <=f+1) {
id = rmCreateArea("area_Mountains_snow_"+guid());
rmSetAreaCoherence(id, 0.5);
rmSetAreaSize(id, rmAreaTilesToFraction(50), rmAreaTilesToFraction(80));
rmSetAreaHeightBlend(id, 1);
rmSetAreaBaseHeight(id, rmRandFloat(0.5, 0.7));
k = 0;
if(k==0) {
rmSetAreaTerrainType(id, "SnowB");
}
rmAddAreaToClass(id, class_Mountains);
rmAddAreaToClass(id, class_Mountains_snow);
rmAddAreaConstraint(id, avoid_Beach);
rmAddAreaConstraint(id, avoid_plain);
rmAddAreaConstraint(id, avoid_sea);
rmAddAreaConstraint(id, avoid_settlement);
rmAddAreaConstraint(id, cnsNonClassed);
rmAddAreaConstraint(id, cnsPlayers);
rmAddAreaConstraint(id, cnsA_Mountains_snow_0);
rmSetAreaWarnFailure(id, false);
rmBuildArea(id);
}

int cnsA_Mountains_cliff_0 = rmCreateClassDistanceConstraint("cns"+guid(), class_Mountains_cliff, 5);
int cnsA_Mountains_cliff_1 = rmCreateClassDistanceConstraint("cns"+guid(), class_Mountains_snow, 5);
f = rmRandFloat(sizeX/40000*sizeZ*10.52, sizeX/40000*sizeZ*10.52);
for(i=0; <=f+1) {
id = rmCreateArea("area_Mountains_cliff_"+guid());
rmSetAreaCoherence(id, 0.5);
rmSetAreaSize(id, rmAreaTilesToFraction(85), rmAreaTilesToFraction(100));
rmSetAreaHeightBlend(id, 1);
rmSetAreaBaseHeight(id, rmRandFloat(0.7, 0.9));
k = 0;
if(k==0) {
rmSetAreaCliffType(id, "Norse");
rmSetAreaCliffPainting(id, true, true, true, 1.5, true);
rmSetAreaCliffEdge(id, rmRandInt(1, 1), 0.9, 0);
rmSetAreaCliffHeight(id, 5, 0.2, 0.9);
rmSetAreaSmoothDistance(id, 3);
}
rmAddAreaToClass(id, class_Mountains);
rmAddAreaToClass(id, class_Mountains_cliff);
rmAddAreaConstraint(id, avoid_Beach);
rmAddAreaConstraint(id, avoid_plain);
rmAddAreaConstraint(id, avoid_sea);
rmAddAreaConstraint(id, avoid_settlement);
rmAddAreaConstraint(id, cnsNonClassed);
rmAddAreaConstraint(id, cnsPlayers);
rmAddAreaConstraint(id, cnsA_Mountains_cliff_0);
rmAddAreaConstraint(id, cnsA_Mountains_cliff_1);
rmSetAreaWarnFailure(id, false);
rmBuildArea(id);
}

rmSetStatusText("",0.4);

int cnsA_plain_grass_0 = rmCreateClassDistanceConstraint("cns"+guid(), class_plain_tree, 10);
int cnsA_plain_grass_1 = rmCreateClassDistanceConstraint("cns"+guid(), class_plain_grass, 10);
f = rmRandFloat(sizeX/40000*sizeZ*8.904, sizeX/40000*sizeZ*11.872);
for(i=0; <=f+1) {
id = rmCreateArea("area_plain_grass_"+guid());
rmSetAreaCoherence(id, 0.5);
rmSetAreaSize(id, rmAreaTilesToFraction(50), rmAreaTilesToFraction(80));
rmSetAreaHeightBlend(id, 1);
rmSetAreaBaseHeight(id, rmRandFloat(0.4, 0.6));
k = 0;
if(k==0) {
rmSetAreaTerrainType(id, "SnowGrass75");
}
rmAddAreaToClass(id, class_plain);
rmAddAreaToClass(id, class_plain_grass);
rmAddAreaConstraint(id, avoid_Beach);
rmAddAreaConstraint(id, avoid_Mountains);
rmAddAreaConstraint(id, avoid_sea);
rmAddAreaConstraint(id, avoid_settlement);
rmAddAreaConstraint(id, cnsNonClassed);
rmAddAreaConstraint(id, cnsPlayers);
rmAddAreaConstraint(id, cnsA_plain_grass_0);
rmAddAreaConstraint(id, cnsA_plain_grass_1);
rmSetAreaWarnFailure(id, false);
rmBuildArea(id);
}

int cnsA_plain_tree_0 = rmCreateClassDistanceConstraint("cns"+guid(), class_plain_tree, 15);
f = rmRandFloat(sizeX/40000*sizeZ*8.3104, sizeX/40000*sizeZ*10.6848);
for(i=0; <=f+1) {
id = rmCreateArea("area_plain_tree_"+guid());
rmSetAreaCoherence(id, 0.5);
rmSetAreaSize(id, rmAreaTilesToFraction(50), rmAreaTilesToFraction(60));
rmSetAreaHeightBlend(id, 1);
rmSetAreaBaseHeight(id, rmRandFloat(0.4, 0.6));
k = 0;
if(k==0) {
rmSetAreaForestType(id, "Snow Pine Forest");
}
rmAddAreaToClass(id, class_plain);
rmAddAreaToClass(id, class_plain_tree);
rmAddAreaConstraint(id, avoid_Beach);
rmAddAreaConstraint(id, avoid_Mountains);
rmAddAreaConstraint(id, avoid_sea);
rmAddAreaConstraint(id, avoid_settlement);
rmAddAreaConstraint(id, cnsNonClassed);
rmAddAreaConstraint(id, cnsPlayers);
rmAddAreaConstraint(id, cnsA_plain_tree_0);
rmSetAreaWarnFailure(id, false);
rmBuildArea(id);
}

rmSetStatusText("",0.5);

rmSetStatusText("",0.6);

rmSetStatusText("",0.7);


int cnsO_Beach_UntitledGroup_0 = rmCreateTypeDistanceConstraint("cns"+guid(), "Walrus", 20);
int cnsO_Beach_UntitledGroup_1 = rmCreateTerrainMaxDistanceConstraint("cns"+guid(), "Water", false, 3);
f = rmRandFloat(sizeX/40000*sizeZ*0.24, sizeX/40000*sizeZ*0.3);
for(i=0; <=f+1) {
id = rmCreateObjectDef("object_Beach_UntitledGroup_"+guid());
s = "Walrus";
rmAddObjectDefItem(id, s, rmRandInt(4,6), 6.5);
rmSetObjectDefMinDistance(id, 0);
rmSetObjectDefMaxDistance(id, rmXFractionToMeters(0.5));
rmAddObjectDefToClass(id, class_Beach);
rmAddObjectDefConstraint(id, avoid_Mountains);
rmAddObjectDefConstraint(id, avoid_plain);
rmAddObjectDefConstraint(id, avoid_sea);
rmAddObjectDefConstraint(id, avoid_settlement);
rmAddObjectDefConstraint(id, cnsNonClassed);
rmAddObjectDefConstraint(id, cnsPlayers);
rmAddObjectDefConstraint(id, cnsO_Beach_UntitledGroup_0);
rmAddObjectDefConstraint(id, cnsO_Beach_UntitledGroup_1);
rmPlaceObjectDefInRandomAreaOfClass(id, 0, class_Beach, 1);
}

rmSetStatusText("",0.8);

rmSetStatusText("",0.838);

f = rmRandFloat(sizeX/40000*sizeZ*5.3424, sizeX/40000*sizeZ*7.1232);
for(i=0; <=f+1) {
id = rmCreateObjectDef("object_plain_gold_"+guid());
s = "Gold Mine";
rmAddObjectDefItem(id, s, rmRandInt(1,1), 2.5);
rmSetObjectDefMinDistance(id, 0);
rmSetObjectDefMaxDistance(id, rmXFractionToMeters(0.5));
rmAddObjectDefToClass(id, class_plain);
rmAddObjectDefConstraint(id, avoid_Beach);
rmAddObjectDefConstraint(id, avoid_Mountains);
rmAddObjectDefConstraint(id, avoid_sea);
rmAddObjectDefConstraint(id, avoid_settlement);
rmAddObjectDefConstraint(id, cnsNonClassed);
rmAddObjectDefConstraint(id, cnsPlayers);
rmPlaceObjectDefInRandomAreaOfClass(id, 0, class_plain_grass, 1);
}

int cnsO_plain_deer_0 = rmCreateTypeDistanceConstraint("cns"+guid(), "Caribou", 20);
int cnsO_plain_deer_1 = rmCreateClassDistanceConstraint("cns"+guid(), class_plain_tree, 5);
f = rmRandFloat(sizeX/40000*sizeZ*5.3424, sizeX/40000*sizeZ*7.1232);
for(i=0; <=f+1) {
id = rmCreateObjectDef("object_plain_deer_"+guid());
s = "Caribou";
rmAddObjectDefItem(id, s, rmRandInt(10,15), 2.5);
rmSetObjectDefMinDistance(id, 0);
rmSetObjectDefMaxDistance(id, rmXFractionToMeters(0.5));
rmAddObjectDefToClass(id, class_plain);
rmAddObjectDefConstraint(id, avoid_Beach);
rmAddObjectDefConstraint(id, avoid_Mountains);
rmAddObjectDefConstraint(id, avoid_sea);
rmAddObjectDefConstraint(id, avoid_settlement);
rmAddObjectDefConstraint(id, cnsNonClassed);
rmAddObjectDefConstraint(id, cnsPlayers);
rmAddObjectDefConstraint(id, cnsO_plain_deer_0);
rmAddObjectDefConstraint(id, cnsO_plain_deer_1);
rmPlaceObjectDefInRandomAreaOfClass(id, 0, class_plain, 1);
}

rmSetStatusText("",0.876);

int cnsO_sea_fish_0 = rmCreateTypeDistanceConstraint("cns"+guid(), "Fish - Perch", 10);
f = rmRandFloat(sizeX/40000*sizeZ*1, sizeX/40000*sizeZ*2);
for(i=0; <=f+1) {
id = rmCreateObjectDef("object_sea_fish_"+guid());
s = "Fish - Perch";
rmAddObjectDefItem(id, s, rmRandInt(1,5), 2.5);
rmSetObjectDefMinDistance(id, 0);
rmSetObjectDefMaxDistance(id, rmXFractionToMeters(0.5));
rmAddObjectDefToClass(id, class_sea);
rmAddObjectDefConstraint(id, avoid_Beach);
rmAddObjectDefConstraint(id, avoid_Mountains);
rmAddObjectDefConstraint(id, avoid_plain);
rmAddObjectDefConstraint(id, avoid_settlement);
rmAddObjectDefConstraint(id, cnsPlayers);
rmAddObjectDefConstraint(id, cnsO_sea_fish_0);
rmPlaceObjectDefInRandomAreaOfClass(id, 0, class_sea, 1);
}

int cnsO_sea_weed_0 = rmCreateTypeDistanceConstraint("cns"+guid(), "Seaweed", 5);
int cnsO_sea_weed_1 = rmCreateTerrainMaxDistanceConstraint("cns"+guid(), "Land", true, 2);
f = rmRandFloat(sizeX/40000*sizeZ*0.6, sizeX/40000*sizeZ*0.9);
for(i=0; <=f+1) {
id = rmCreateObjectDef("object_sea_weed_"+guid());
s = "Seaweed";
rmAddObjectDefItem(id, s, rmRandInt(1,2), 2.5);
rmSetObjectDefMinDistance(id, 0);
rmSetObjectDefMaxDistance(id, rmXFractionToMeters(0.5));
rmAddObjectDefToClass(id, class_sea);
rmAddObjectDefConstraint(id, avoid_Beach);
rmAddObjectDefConstraint(id, avoid_Mountains);
rmAddObjectDefConstraint(id, avoid_plain);
rmAddObjectDefConstraint(id, avoid_settlement);
rmAddObjectDefConstraint(id, cnsPlayers);
rmAddObjectDefConstraint(id, cnsO_sea_weed_0);
rmAddObjectDefConstraint(id, cnsO_sea_weed_1);
rmPlaceObjectDefInRandomAreaOfClass(id, 0, class_sea, 1);
}

int cnsO_sea_whale_0 = rmCreateTypeDistanceConstraint("cns"+guid(), "Whale", 10);
int cnsO_sea_whale_1 = rmCreateTerrainDistanceConstraint("cns"+guid(), "Land", true, 15);
f = rmRandFloat(sizeX/40000*sizeZ*0.4, sizeX/40000*sizeZ*0.5);
for(i=0; <=f+1) {
id = rmCreateObjectDef("object_sea_whale_"+guid());
s = "Whale";
rmAddObjectDefItem(id, s, rmRandInt(1,1), 2.5);
rmSetObjectDefMinDistance(id, 0);
rmSetObjectDefMaxDistance(id, rmXFractionToMeters(0.5));
rmAddObjectDefToClass(id, class_sea);
rmAddObjectDefConstraint(id, avoid_Beach);
rmAddObjectDefConstraint(id, avoid_Mountains);
rmAddObjectDefConstraint(id, avoid_plain);
rmAddObjectDefConstraint(id, avoid_settlement);
rmAddObjectDefConstraint(id, cnsPlayers);
rmAddObjectDefConstraint(id, cnsO_sea_whale_0);
rmAddObjectDefConstraint(id, cnsO_sea_whale_1);
rmPlaceObjectDefInRandomAreaOfClass(id, 0, class_sea, 1);
}

rmSetStatusText("",0.914);

int cnsO_settlement_set_0 = rmCreateTypeDistanceConstraint("cns"+guid(), "Settlement", 20);
f = rmRandFloat(sizeX/40000*sizeZ*3.6, sizeX/40000*sizeZ*3.6);
for(i=0; <=f+1) {
id = rmCreateObjectDef("object_settlement_set_"+guid());
s = "Settlement";
rmAddObjectDefItem(id, s, rmRandInt(1,1), 2.5);
rmSetObjectDefMinDistance(id, 0);
rmSetObjectDefMaxDistance(id, rmXFractionToMeters(0.5));
rmAddObjectDefToClass(id, class_settlement);
rmAddObjectDefConstraint(id, avoid_Beach);
rmAddObjectDefConstraint(id, avoid_Mountains);
rmAddObjectDefConstraint(id, avoid_plain);
rmAddObjectDefConstraint(id, avoid_sea);
rmAddObjectDefConstraint(id, cnsNonClassed);
rmAddObjectDefConstraint(id, cnsPlayers);
rmAddObjectDefConstraint(id, cnsO_settlement_set_0);
rmPlaceObjectDefInRandomAreaOfClass(id, 0, class_settlement, 1);
}

int cnsO_settlement_deerr_0 = rmCreateTypeDistanceConstraint("cns"+guid(), "Settlement", 5);
int cnsO_settlement_deerr_1 = rmCreateTypeDistanceConstraint("cns"+guid(), "Gold Mine Small", 5);
int cnsO_settlement_deerr_2 = rmCreateTypeDistanceConstraint("cns"+guid(), "Caribou", 20);
f = rmRandFloat(sizeX/40000*sizeZ*3.6, sizeX/40000*sizeZ*3.6);
for(i=0; <=f+1) {
id = rmCreateObjectDef("object_settlement_deerr_"+guid());
s = "Caribou";
rmAddObjectDefItem(id, s, rmRandInt(2,4), 2.5);
rmSetObjectDefMinDistance(id, 0);
rmSetObjectDefMaxDistance(id, rmXFractionToMeters(0.5));
rmAddObjectDefToClass(id, class_settlement);
rmAddObjectDefConstraint(id, avoid_Beach);
rmAddObjectDefConstraint(id, avoid_Mountains);
rmAddObjectDefConstraint(id, avoid_plain);
rmAddObjectDefConstraint(id, avoid_sea);
rmAddObjectDefConstraint(id, cnsNonClassed);
rmAddObjectDefConstraint(id, cnsPlayers);
rmAddObjectDefConstraint(id, cnsO_settlement_deerr_0);
rmAddObjectDefConstraint(id, cnsO_settlement_deerr_1);
rmAddObjectDefConstraint(id, cnsO_settlement_deerr_2);
rmPlaceObjectDefInRandomAreaOfClass(id, 0, class_settlement, 1);
}

int cnsO_settlement_goldd_0 = rmCreateTypeDistanceConstraint("cns"+guid(), "Gold", 20);
int cnsO_settlement_goldd_1 = rmCreateTypeDistanceConstraint("cns"+guid(), "Settlement", 5);
f = rmRandFloat(sizeX/40000*sizeZ*3.6, sizeX/40000*sizeZ*3.6);
for(i=0; <=f+1) {
id = rmCreateObjectDef("object_settlement_goldd_"+guid());
s = "Gold Mine Small";
rmAddObjectDefItem(id, s, rmRandInt(1,1), 2.5);
rmSetObjectDefMinDistance(id, 0);
rmSetObjectDefMaxDistance(id, rmXFractionToMeters(0.5));
rmAddObjectDefToClass(id, class_settlement);
rmAddObjectDefConstraint(id, avoid_Beach);
rmAddObjectDefConstraint(id, avoid_Mountains);
rmAddObjectDefConstraint(id, avoid_plain);
rmAddObjectDefConstraint(id, avoid_sea);
rmAddObjectDefConstraint(id, cnsNonClassed);
rmAddObjectDefConstraint(id, cnsPlayers);
rmAddObjectDefConstraint(id, cnsO_settlement_goldd_0);
rmAddObjectDefConstraint(id, cnsO_settlement_goldd_1);
rmPlaceObjectDefInRandomAreaOfClass(id, 0, class_settlement, 1);
}

rmSetStatusText("",0.952);


id = rmCreateTrigger("Init");
rmSwitchToTrigger(id);
rmSetTriggerPriority(5);
rmAddTriggerCondition("Timer");
 rmSetTriggerConditionParamInt("Param1", 1, false);
rmAddTriggerEffect("Rate Construction");
 rmSetTriggerEffectParamFloat("Rate", 2.5, false);
rmAddTriggerEffect("Grant God Power");
 rmSetTriggerEffectParamInt("PlayerID", 0, false);
 rmSetTriggerEffectParamInt("Count", 1, false);
 rmSetTriggerEffectParam("PowerName", "Cease Fire Nomad", false);
rmAddTriggerEffect("Invoke God Power");
 rmSetTriggerEffectParamInt("PlayerID", 0, false);
 rmSetTriggerEffectParam("PowerName", "Cease Fire Nomad", false);
 rmSetTriggerEffectParam("DstPoint1", "1,1,1", false);
for(i=1; <cNumberPlayers) {    // disable starting units techs
rmAddTriggerEffect("Set Tech Status");
 rmSetTriggerEffectParamInt("PlayerID", i, false);
 rmSetTriggerEffectParamInt("TechID", 144, false);
 rmSetTriggerEffectParamInt("Status", 0, false);
rmAddTriggerEffect("Set Tech Status");
 rmSetTriggerEffectParamInt("PlayerID", i, false);
 rmSetTriggerEffectParamInt("TechID", 143, false);
 rmSetTriggerEffectParamInt("Status", 0, false);
rmAddTriggerEffect("Set Tech Status");
 rmSetTriggerEffectParamInt("PlayerID", i, false);
 rmSetTriggerEffectParamInt("TechID", 145, false);
 rmSetTriggerEffectParamInt("Status", 0, false);
}

id = rmCreateTrigger("RemoveBuildSpeed");
rmSwitchToTrigger(id);
rmSetTriggerPriority(5);
rmAddTriggerCondition("Timer");
 rmSetTriggerConditionParamInt("Param1", 180, false);
rmAddTriggerEffect("Rate Construction");
 rmSetTriggerEffectParamFloat("Rate", 1.0, false);

rmSetStatusText("",1.00);
}
